package com.sw.common.accessory;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @Author wupeng
 * @Description //TODO
 * @Date 09:51 2024/1/2
 * @Param
 * @return
 **/
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"com.sw.common.accessory.api"})
@EnableAsync //开启异步调用
@EnableAspectJAutoProxy
@EnableTransactionManagement
@SpringBootApplication
public class MesAccyServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(MesAccyServerApplication.class, args);
    }
}
