package com.sw.common.accessory.server.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author liru
 * @date 2024-01-06
 */
@Data
@ApiModel(value = "货物移动批次特性Dto")
public class ReportSapChargItemDto
{
    /** 批次特性 */
    @JSONField(name = "ZFCP_FLAG")
    @ApiModelProperty(value = "批次特性" )
    private String atnam;

    /** 批次特性值 */
    @ApiModelProperty(value = "批次特性值" )
    @JSONField(name = "CHARG_ITEM")
    private String atwrt;

}
