/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.common.accessory.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sw.common.mybatisplus.base.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@TableName(value = "accy_anomaly_determination_echnology")
public class DeterminationEchnology implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 价值判定
     */
    private String valueDetermination;

    /**
     * 结果判定
     */
    private String resultDetermination;

    /**
     * 异常情况
     */
    private String abnormalCondition;

    /**
     * 责任部门
     */
    private String responsibleDepartment;

    /**
     * 原因分析
     */
    private String reasonAnalysis;

    /**
     * 图片id
     */
    private Long pictureId;

    /**
     * 图片地址
     */
    private String pictureUrl;

    /**
     * 图片名称
     */
    private String pictureName;

    /**
     * 唯一码
     */
    private String uniqueCode;

    /**
     * 热场id
     */
    private Long accessoryId;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 是否审核
     */
    private boolean materialAnomaly;
    /**
     * 是否审核通过
     */
    private boolean auditPass;
    /**
     * 入库单号
     */
    private String inputBillNo;

    /**
     * 软删
     */
    private boolean del;
    /**
     * 技术评审
     */
    private boolean echnologyAuthority = false;

    /**
     * 物料编码
     */
    private String materialCode;

    /**
     * 物料编码
     */
    private String materialName;

    /**
     * 设备号
     */
    private String equipmentCode;
    /**
     * 审核状态 0:待审核 1:已通过 2:未通过
     */
    private int status;
}
