package com.sw.common.accessory.server.service.impl;

import com.sw.common.accessory.server.entity.Part;
import com.sw.common.accessory.server.mapper.PartMapper;
import com.sw.common.accessory.server.service.PartService;
import com.sw.common.mybatisplus.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PartServiceImpl extends BaseServiceImpl<PartMapper, Part> implements PartService {
    @Autowired
    private PartMapper partMapper;

    @Override
    public Part getByPartCode(String partCode) {
        return partMapper.getByPartCode(partCode);
    }
}
