package com.sw.mes.auth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

/**
 * @author JS111816
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"com.sw.mes.core.api.*"})
@EnableAspectJAutoProxy
public class MesAuthServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(MesAuthServerApplication.class, args);
    }
}
