package com.sw.mes.auth.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 *
 * @TableName sys_notice
 */
@TableName(value ="sys_notice")
@Data
public class SysNotice implements Serializable {
    /**
     *
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 简介
     */
    private String synopsis;

    /**
     * 详细内容
     */
    private String content;

    /**
     * 角色可见（0：为全部可见，>0 :角色ID；最多可选10个角色）
     */
    private String roleVisible;

    /**
     * 用户可见(用户id；最多可选20人可见)
     */
    private String userVisible;

    /**
     * 创建/修改人
     */
    private String userCreate;

    /**
     * 创建/修改人id
     */
    private Long userIdCreate;

    /**
     * 创建/修改时间
     */
    private Date gmtCreate;

    /**
     * 级别
     */
    private Integer level;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
