package com.sw.mes.auth.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.mes.auth.domain.SysLoginLog;
import com.sw.mes.auth.service.SysLoginLogService;
import com.sw.mes.auth.mapper.SysLoginLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
* @author JS111816
* @description 针对表【sys_login_log(SAP登录日志)】的数据库操作Service实现
* @createDate 2022-05-19 13:47:48
*/
@Service
public class SysLoginLogServiceImpl extends ServiceImpl<SysLoginLogMapper, SysLoginLog>
    implements SysLoginLogService{
    @Autowired
    private SysLoginLogMapper sysLoginLogMapper;

    @Override
    public void updateByToken(String token) {
        sysLoginLogMapper.updateByToken(new Date(),token);
    }
}



