package com.sw.mes.itemclean.clean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Getter
@Setter
@ApiModel(value = "CleanReworkingDetailDto对象", description = "返工明细对象")
public class CleanReworkingDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("主表id")
    private Integer rid;

    @ApiModelProperty("返工箱号")
    private String reworkingBoxNo;

    @ApiModelProperty("返工重量")
    private BigDecimal reworkinggWeight;

    @ApiModelProperty("逻辑删除标记")
    private Integer delFlag;

    @ApiModelProperty("生产批次")
    private String productBatchNo;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

}
