package com.sw.mes.itemclean.clean.dto.auto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuzemin
 * @date 2022/11/16 9:42
 * @description
 */
@Data
public class IOTRequestMaterialBrokenUpDto {


    @ApiModelProperty(value = "设备号", required = true)
    @NotNull(message = "设备号不能空")
    private String deviceNo;

    @ApiModelProperty(value = "清洗花篮号/分选箱号", required = true)
    @NotNull(message = "载具号不能空")
    private String boxNo;

    @ApiModelProperty(value = "破碎上料位标识", required = true)
    private String brokenUpCode;

    @ApiModelProperty(value = "IOT唯一标识", required = true)
    private String uniqueCode;

}
