package com.sw.mes.itemclean.clean.dto.auto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author liuzemin
 * @date 2022/11/16 9:42
 * @description
 */
@Data
public class IOTRequestMaterialCleaningErrorDownDto {


    @ApiModelProperty(value = "设备号", required = true)
    @NotNull(message = "设备号不能空")
    private String deviceNo;

    @ApiModelProperty(value = "花篮号", required = true)
    @NotNull(message = "花篮号不能空")
    private String basketNo;

    @ApiModelProperty(value = "清洗下料位标识", required = true)
    private String cleanDownCode;

    @ApiModelProperty(value = "IOT唯一标识", required = true)
    private String uniqueCode;

    @ApiModelProperty(value = "异常信息", required = true)
    private String errorMessage;
}
