package com.sw.mes.itemclean.clean.dto.auto;

import com.sw.mes.itemclean.clean.domain.MaterialGroupDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author liuzemin
 * @date 2022/11/16 9:42
 * @description
 */
@Data
public class MesRequestMcsAgvDto {

    @ApiModelProperty(value = "托位号(物理起始位置)")
    private String trayNumber;

    @ApiModelProperty(value = "实物托盘号")
    private String trayCode;

    @ApiModelProperty(value = "组托成托号")
    private String groupNo;

    @ApiModelProperty(value = "组托详情")
    List<MaterialGroupDetail> details;

    @ApiModelProperty(value = "整托重量")
    private BigDecimal weight;
}
