package com.sw.mes.itemclean.clean.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sw.mes.itemclean.clean.domain.MaterialUnpacking;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sw.mes.itemclean.clean.dto.GroupDetailParamQuery;
import com.sw.mes.itemclean.clean.dto.MaterialGroupToDetailDto;
import com.sw.mes.itemclean.clean.dto.MaterialUnpackingJoinPageDto;
import com.sw.mes.itemclean.clean.dto.MaterialUnpackingParamQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 分选拆箱 Mapper 接口
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Repository
public interface MaterialUnpackingMapper extends BaseMapper<MaterialUnpacking> {

    IPage<MaterialUnpackingJoinPageDto> queryList(@Param("iPage") IPage<MaterialUnpackingJoinPageDto> iPage, @Param("query") MaterialUnpackingParamQuery query);

    List<MaterialUnpackingJoinPageDto> queryList(@Param("query") MaterialUnpackingParamQuery query);

}
