package com.sw.mes.itemclean.clean.service;

import com.sw.mes.core.response.Result;
import com.sw.mes.itemclean.clean.domain.MaterialLandingMaterialSignature;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.itemclean.clean.dto.MaterialLandingMaterialSignatureDto;

/**
 * <p>
 * 落地料打签 服务类
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
public interface MaterialLandingMaterialSignatureService extends IService<MaterialLandingMaterialSignature> {

    Result landingMaterialSignature (MaterialLandingMaterialSignatureDto materialLandingMaterialSignatureDto);

    Result findByMaterialCleanName(String name);
}
