package com.sw.mes.itemclean.clean.service;

import com.sw.mes.core.response.Result;
import com.sw.mes.itemclean.clean.domain.MaterialReworkSignature;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.itemclean.clean.dto.MaterialReworkSignatureDto;
import com.sw.mes.itemclean.clean.vo.MaterialReworkingVo;

/**
 * <p>
 * 返工打签 服务类
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
public interface MaterialReworkSignatureService extends IService<MaterialReworkSignature> {

    Result reworkSignature(MaterialReworkSignatureDto materialReworkSignatureDto);

    Result reworkSignature2(MaterialReworkingVo materialReworkingVo);

    int createStorageSign(MaterialReworkingVo materialReworkingVo);

}
