package com.sw.mes.itemclean.clean.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.mes.itemclean.clean.domain.ReportErpXlInputRecordDetail;
import com.sw.mes.itemclean.clean.mapper.ReportErpXlInputRecordDetailMapper;
import com.sw.mes.itemclean.clean.service.ReportErpXlInputRecordDetailService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ReportErpXlInputRecordDetailServiceImpl extends ServiceImpl<ReportErpXlInputRecordDetailMapper, ReportErpXlInputRecordDetail> implements ReportErpXlInputRecordDetailService {


    @Override
    public List<ReportErpXlInputRecordDetail> findList(Long id) {
        LambdaQueryWrapper<ReportErpXlInputRecordDetail> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ReportErpXlInputRecordDetail::getRid,id);
        return this.list(queryWrapper);
    }
}
