package com.sw.mes.itemclean.clean.service.impl;



import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.itemclean.clean.domain.MaterialGroupDetail;
import com.sw.mes.itemclean.clean.domain.WashingPlan;
import com.sw.mes.itemclean.clean.dto.GroupDetailParamQuery;
import com.sw.mes.itemclean.clean.dto.MaterialGroupToDetailDto;
import com.sw.mes.itemclean.clean.dto.WashingPlanDto;
import com.sw.mes.itemclean.clean.mapper.MaterialGroupDetailMapper;
import com.sw.mes.itemclean.clean.mapper.WashingPlanMapper;
import com.sw.mes.itemclean.clean.service.WashingPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class WashingPlanServiceImpl extends ServiceImpl<WashingPlanMapper, WashingPlan> implements WashingPlanService {

    @Autowired
    WashingPlanMapper baseDao;

    @Override
    public IPage<WashingPlanDto> queryList(IPage<WashingPlanDto> iPage, WashingPlanDto query) {
        return baseDao.queryList(iPage, query);
    }

    @Override
    public List<WashingPlanDto> queryListByParam(WashingPlanDto query) {
        return baseDao.queryListByParam(query);
    }

    @Override
    public List<WashingPlanDto> findAllList() {
        return baseDao.findAllList();
    }
}
