package com.sw.mes.fb.accessory.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2022/7/6 11:08
 * @description
 */
@Data
@ApiModel(value = "方棒辅料分页入参Dto")
public class NewAccessoryListByPageParamDto {
    @ApiModelProperty(value = "设备编号")
    String deviceNo;

    @ApiModelProperty(value = "物料名称")
    String materialName;

    @ApiModelProperty(value = "物料编码")
    String materialCode;

    @ApiModelProperty(value = "唯一码")
    String goodsCode;

    @ApiModelProperty(value = "供应商/厂家")
    String factory;

    @ApiModelProperty(value = "更换开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operateTimeStart;

    @ApiModelProperty(value = "更换结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operateTimeEnd;
}
