package com.sw.mes.fb.aio.dao;


import com.sw.mes.core.base.BaseDao;
import com.sw.mes.fb.aio.entity.EapSpecificationSend;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface EapSpecificationSendDao extends BaseDao<EapSpecificationSend, Integer> {

    @Query(value = "SELECT * from interface_eap_specification_send where equip_type = ?1 GROUP BY equip_no,spec,pn_type,side_len", nativeQuery = true)
    List<EapSpecificationSend> getGroupListByEquipNo(String equipType);
}
