package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP开方退库反馈接口Dto")
public class EapRetreatFeedbackDto {

     private Long id;
     @ApiModelProperty(value = "圆棒SN" )
     String lotNo;
     @ApiModelProperty(value = "分区|模块")
     String area;
     @ApiModelProperty(value = "系列")
     String series;
     @ApiModelProperty(value = "开方机编号" )
     String machineName;
     @ApiModelProperty(value = "退库原因" )
     String returnReasonCode;
     @ApiModelProperty(value = "1组-头部直径" )
     BigDecimal headDia1;
     @ApiModelProperty(value = "1组-尾部直径" )
     BigDecimal tailDia1;
     @ApiModelProperty(value = "2组-头部直径" )
     BigDecimal headDia2;
     @ApiModelProperty(value = "2组-尾部直径" )
     BigDecimal tailDia2;
     @ApiModelProperty(value = "3组-头部直径" )
     BigDecimal headDia3;
     @ApiModelProperty(value = "3组-尾部直径" )
     BigDecimal tailDia3;
     @ApiModelProperty(value = "4组-头部直径" )
     BigDecimal headDia4;
     @ApiModelProperty(value = "4组-尾部直径" )
     BigDecimal tailDia4;
     @ApiModelProperty(value = "1-3组头部偏差" )
     BigDecimal headDeviation13;
     @ApiModelProperty(value = "1-3组尾部偏差" )
     BigDecimal tailDeviation13;
     @ApiModelProperty(value = "2-4组头部偏差" )
     BigDecimal headDeviation24;
     @ApiModelProperty(value = "2-4组尾部偏差" )
     BigDecimal tailDeviation24;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}