package com.sw.mes.fb.aio.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.fb.aio.dao.EapEvolutionBlankingDao;
import com.sw.mes.fb.aio.entity.EapEvolutionBlanking;
import com.sw.mes.fb.aio.service.EapEvolutionBlankingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class EapEvolutionBlankingServiceImpl extends BaseServiceImpl<EapEvolutionBlanking> implements EapEvolutionBlankingService {
    EapEvolutionBlankingDao dao;
	@Autowired
    public void setDao(EapEvolutionBlankingDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public EapEvolutionBlanking findTopBySnOrderByIdDesc(String sn) {
        return dao.findTopBySnOrderByIdDesc(sn);
    }
}
