package com.sw.mes.fb.checkout.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "FbJoinDto")
public class FbJoinDto {
    @ExcelProperty(value = "id")
    private Integer id;
     @ApiModelProperty(value = "方棒编号" )@ExcelProperty(value = "方棒编号")
     String sectionNoFb;
     @ApiModelProperty(value = "拼棒组号" )@ExcelProperty(value = "拼棒组号")
     String sectionNoGroup;
     @ApiModelProperty(value = "方棒产品等级" )@ExcelProperty(value = "方棒产品等级")
     String productLevelFb;
     @ApiModelProperty(value = "拼数" )@ExcelProperty(value = "拼数")
     Integer stickCount;
     @ApiModelProperty(value = "长度" )@ExcelProperty(value = "长度")
     BigDecimal totalLength;
     @ApiModelProperty(value = "入库长度" )@ExcelProperty(value = "入库长度")
     BigDecimal inStoreLengthFb;
     @ApiModelProperty(value = "重量" )@ExcelProperty(value = "重量")
     BigDecimal theoryWeight;
     @ApiModelProperty(value = "规格" )@ExcelProperty(value = "规格")
     String specs;
     @ApiModelProperty(value = "理论重量" )@ExcelProperty(value = "方棒理论重量（kg）")
     BigDecimal theoryWeightFb;
     @ApiModelProperty(value = "导电类型" )@ExcelProperty(value = "导电类型")
     String conductionType;
     @ApiModelProperty(value = "单根单晶拼接长度 " )@ExcelProperty(value = "单根单晶拼接长度")
     String lengthGroup;
     @ApiModelProperty(value = "绑定人" )@ExcelProperty(value = "绑定人")
     String bindUser;
     @ApiModelProperty(value = "绑定时间" )@ExcelProperty(value = "绑定时间")
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date bindTime;
     @ApiModelProperty(value = "解绑人" )@ExcelProperty(value = "解绑人")
     String unbindUser;
     @ApiModelProperty(value = "解绑时间" )@ExcelProperty(value = "解绑时间")
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date unbindTime;
     @ApiModelProperty(value = "解绑原因" )@ExcelProperty(value = "解绑原因")
     String relieveReason;
     @ApiModelProperty(value = "状态 0未解绑 1已解绑" )@ExcelProperty(value = "状态 0未解绑 1已解绑")
     Integer state;
     @ApiModelProperty(value = "送检状态 0未送检 1已送检" )@ExcelProperty(value = "送检状态 0未送检 1已送检")
     Integer isSend;
     @ApiModelProperty(value = "拼缝总长" )@ExcelProperty(value = "拼缝总长")
 	 BigDecimal gapTotal;
}