package com.sw.mes.fb.productChangeRecord.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "产品变更记录Dto")
public class ProductChangeRecordDto {

     @ExcelIgnore
     private Long id;
     @ApiModelProperty(value = "晶段编号" )
     @ExcelProperty(value = "晶段编号",order = 8)
     String sectionNo;
     @ApiModelProperty(value = "变更前晶段编号" )
     @ExcelProperty(value = "变更前晶段编号",order = 1)
     String preSectionNo;
     @ApiModelProperty(value = "变更前工单号" )
     @ExcelProperty(value = "变更前工单号" ,order = 2)
     String preOrderNo;
     @ApiModelProperty(value = "工单号" )
     @ExcelProperty(value = "工单号",order = 9)
     String orderNo;
     @ApiModelProperty(value = "变更前批次号" )
     @ExcelProperty(value = "变更前批次号",order = 7)
     String preBatchNo;
     @ApiModelProperty(value = "批次号" )
     @ExcelProperty(value = "批次号",order = 13)
     String batchNo;
     @ApiModelProperty(value = "变更前工单定向标识" )
     @ExcelProperty(value = "变更前工单定向标识" ,order = 3)
     String preZorientationind;
     @ApiModelProperty(value = "工单定向标识" )
     @ExcelProperty(value = "工单定向标识",order = 10)
     String zorientationind;
     @ApiModelProperty(value = "变更前物料编号" )
     @ExcelProperty(value = "变更前物料编号",order = 4)
     String preMaterialCode;
     @ApiModelProperty(value = "物料编号" )
     @ExcelProperty(value = "物料编号",order = 11)
     String materialCode;
     @ApiModelProperty(value = "变更前物料名称" )
     @ExcelProperty(value = "变更前物料名称",order = 6)
     String preMaterialName;
     @ApiModelProperty(value = "物料名称" )
     @ExcelProperty(value = "物料名称")
     String materialName;
     @ApiModelProperty(value = "变更前等级码" )
     @ExcelProperty(value = "变更前等级码",order = 5)
     String preLevelCode;
     @ApiModelProperty(value = "等级码" )
     @ExcelProperty(value = "等级码",order = 12)
     String levelCode;
     @ApiModelProperty(value = "备注" )
     @ExcelProperty(value = "备注",order = 16)
     String remark;
     @ApiModelProperty(value = "创建人" )
     @ExcelProperty(value = "操作人",order = 14)
     String createName;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @ExcelProperty(value = "操作时间",order = 15)
     Date createTime;
     @ApiModelProperty(value = "产品类型" )
     @ExcelIgnore
     String simpleName;
     @ApiModelProperty(value = "检验时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @ExcelIgnore
     Date checkTime;
     @ApiModelProperty(value = "当前站点" )
     @ExcelIgnore
     String processName;
}