package com.sw.mes.fb.turnstore.dto;

import com.sw.mes.base.factory.inspect.entity.ProductAssemblyRule;
import com.sw.mes.fb.turnstore.entity.FbTurnstoreTray;
import com.sw.mes.fb.turnstore.entity.FbTurnstoreTrayItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒组托传输Dto")
public class FbTurnstoreTrayPostDto {

    @ApiModelProperty(value = "方棒组托")
    FbTurnstoreTray fbTray;
    @ApiModelProperty(value = "方棒组托明细")
    List<FbTurnstoreTrayItem> trayItems;
    @ApiModelProperty(value = "方棒组拖规则")
    ProductAssemblyRule productRule;

}
