package com.sw.mes.fb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒退料复检接收Dto")
public class RecheckInspectReceiveDto {

    private Integer id;
    @ApiModelProperty(value = "托号")
    String trayNo;
    @ApiModelProperty(value = "出库单号")
    String outOrderNo;
    @ApiModelProperty(value = "单晶个数")
    Integer crystalNum;
    @ApiModelProperty(value = "来源")
    String source;
    @ApiModelProperty(value = "申请人")
    String user;
    @ApiModelProperty(value = "申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date applyTime;
    @ApiModelProperty(value = "确认人")
    String confirmUser;
    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date confirmTime;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "退库备注")
    String returnRemark;
    @ApiModelProperty(value = "拒收原因")
    String reasonRejection;
    @ApiModelProperty(value = "状态【0：默认，待确认；1：已入库；2：拒收；】")
    Integer state;

    @ApiModelProperty(value = "备注")
    String define4;

    @ApiModelProperty(value = "客户")
    String customer;


    /**
     * 字段废弃使用
     */
    @ApiModelProperty(value = "料号")
    String productCode;
    @ApiModelProperty(value = "是否复检【0：默认，否；1：是；】")
    Integer isRecheck;
    @ApiModelProperty(value = "出库类型")
    String outType;
    @ApiModelProperty(value = "去向")
    String hasGone;
    @ApiModelProperty(value = "退料类型")
    String quitType;
}
