package com.sw.mes.fb.turnstore.dto.vo;

import com.sw.mes.fb.turnstore.entity.FbTurnstoreTrayItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/5/7 11:06
 */
@Data
@ApiModel(value = "方棒组托Vo")
public class FbTurnstoreTrayItemVo {
    @ApiModelProperty(value = "厂区")
    String factoryName;
    @ApiModelProperty(value = "操作人")
    String user;
    @ApiModelProperty(value = "组托规则Id", required = true)
    private Integer ruleId;
    @ApiModelProperty(value = "方棒产品等级")
    String productLevelSecond;
    @ApiModelProperty("等级码")
    private String levelCode;
    @ApiModelProperty(value = "规格")
    String specs;
    @ApiModelProperty(value = "去向")
    String hasGone;
    @ApiModelProperty(value = "单晶总数")
    Integer count;
    @ApiModelProperty("直发或者外发【0直发，1外发】")
    Integer directOrOutgoing;
    @ApiModelProperty(value = "方棒组托明细")
    List<FbTurnstoreTrayItem> trayItems;
}
