package com.sw.mes.fls.dto;

import com.sw.mes.base.factory.inspect.dto.BackCutRule.BackCutRuleLineDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-13 10:51
 */
@Data
@ApiModel(value = "画线数据请求接口Dto")
public class PaintingLineInfoDto {
    @ApiModelProperty(value = "工位号" )
    String locationNo;
    @ApiModelProperty(value = "晶棒SN" )
    String crystalNo;
    @ApiModelProperty(value = "画线明细")
    List<BackCutRuleLineDto> backCutRuleLineDtos;
}
