package com.sw.mes.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author wh
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "打托配置下发接口Dto")
public class ProductAssemblyConfigDto {
     @ApiModelProperty(value = "打托工位号" )
     String station;
     @ApiModelProperty(value = "托内数量" )
     Integer tornieNum;
     @ApiModelProperty(value = "型号" )
     String conductiveType;
     @ApiModelProperty(value = "方棒规格" )
     String specs;
     @ApiModelProperty(value = "产品等级" )
     String productGrade;
     @ApiModelProperty(value = "实验等级" )
     String experGrade;
     @ApiModelProperty(value = "拼数" )
     String sticksCount;
     @ApiModelProperty(value = "长度范围" )
     String length;
     @ApiModelProperty(value = "入库类别" )
     String inputType;
     @ApiModelProperty(value = "整拼比例" )
     String ratio;
}
