package com.sw.mes.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("打托信息上传接口Dto")
@Data
public class ProductAssemblyInfoDto {

    @ApiModelProperty(value = "打托类型【0：默认，正常拖；1：是，非正常拖；】")
    String palletType = "正常拖";

    @ApiModelProperty(value = "区域")
    String factoryName = "三期";

    @ApiModelProperty(value = "托位名称")
    String trayName;

    @ApiModelProperty(value = "打托单晶号")
    String sectionNo;

    @ApiModelProperty(value = "打托总颗数")
    Integer amount;

    @ApiModelProperty(value = "当前颗数")
    Integer currentPosition;
}
