package com.sw.mes.grade.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "评级测试记录Dto")
public class RuleTestDto {

    private Integer id;
    @ApiModelProperty(value = "创建/修改人")
    String userUpdate;
    @ApiModelProperty(value = "创建/修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtUpdate;

    /**
     * 测试的评级版本信息
     */
    @ApiModelProperty(value = "评级版本id")
    Long gradeVersionId;
    @ApiModelProperty(value = "名称")
    String gradeVersionName;
    @ApiModelProperty(value = "版本")
    BigDecimal gradeVersionVersion;
    @ApiModelProperty(value = "备注")
    String remarks;
}