package com.sw.mes.mcs.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-13 15:19
 */
@ApiModel(value = "方棒尺寸数据上传接口Dto")
@Data
@NumberHandler
public class FbSizeInfoDto {

    @ApiModelProperty("方棒编号")
    String fbSectionNo;
    @ApiModelProperty(value = "规格")
    String specification;
    @ApiModelProperty(value = "直径max")
    BigDecimal diameterMax;
    @ApiModelProperty(value = "直径min")
    BigDecimal diameterMin;
    @ApiModelProperty(value = "边长max")
    BigDecimal sideLengthMax;
    @ApiModelProperty(value = "边长min")
    BigDecimal sideLengthMin;
    @ApiModelProperty(value = "垂直度max")
    BigDecimal verticalityMax;
    @ApiModelProperty(value = "垂直度min")
    BigDecimal verticalityMin;
    @ApiModelProperty(value = "弧长投影max")
    BigDecimal projectionMax;
    @ApiModelProperty(value = "弧长投影min")
    BigDecimal projectionMin;
    @ApiModelProperty(value = "弦长max ")
    BigDecimal chordLengthMax;
    @ApiModelProperty(value = "弦长min")
    BigDecimal chordLengthMin;
    @ApiModelProperty(value = "平面锥度max")
    BigDecimal planeTaperMax;
    @ApiModelProperty(value = "平面锥度min")
    BigDecimal planeTaperMin;
    @ApiModelProperty(value = "平边晶向")
    String flatOrientation;
    @ApiModelProperty(value = "晶体晶向")
    String orientation;
    @ApiModelProperty(value = "方棒长度")
    private BigDecimal length;

}
