package com.sw.mes.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-12 17:37
 */
@Data
@ApiModel(value = "方棒绑定信息下发接口Dto")
public class SquareBindingDto {
    @ApiModelProperty(value = "托盘RFID")
    String trayCode;
    @ApiModelProperty(value = "方棒编号")
    String squareNo;
    @ApiModelProperty(value = "抽检类型（1检测）取消")
    String checkType;
    @ApiModelProperty(value = "方棒规格")
    String squareType;
    @ApiModelProperty(value = "规格*边长")
    String spec;
    @ApiModelProperty(value = "检验类型")
    String checkName;

    @ApiModelProperty(value = "长度")
    BigDecimal length;
    @ApiModelProperty(value = "圆棒评级")
    String productRank;
    @ApiModelProperty(value = "实验等级")
    String experimentRank;
    @ApiModelProperty(value = "加工颗数")
    Integer processNum;

}
