package com.sw.mes.wms.service;

import com.sw.mes.wms.dto.FbRatingResultDto;
import com.sw.mes.wms.dto.SendFinshOrderDto;
import com.sw.mes.wms.utils.ResultWmsDto;

/**
 * @Author: GaoXinJian
 * @Date: 2022-03-08 16:28
 */
public interface RatingResultService {
    /**
     * 方棒评级结果下发wms
     * @param ratingResultDto
     * @return
     */
    ResultWmsDto ratingResult(FbRatingResultDto ratingResultDto);

    /**
     * 下发已关闭订单编号
     * @param sendFinshOrderDto
     * @return
     */
    ResultWmsDto sendFinshOrder(SendFinshOrderDto sendFinshOrderDto);

}
