package com.sw.mes.agv.constant;

/**
 * 工控机命令标识
 */
public class IPCRequest{

    /**
     * 预装料请求
     */
    public static final String PRE_CHARGE = "PRE_CHARGE";

    /**
     * 吊料请求
     */
    public static final String SLING_MATERIAL = "SLING_MATERIAL";

    /**
     * 复投请求
     */
    public static final String PRE_RECHARGE = "PRE_RECHARGE";

    /**
     * 复投完成
     */
    public static final String END_RECHARGE = "END_RECHARGE";

    /**
     * 初始复投请求
     */
    public static final String PRE_INITRECHARGE = "PRE_INITRECHARGE";

    /**
     * 断苞复投请求
     */
    public static final String BROKEN_RECHARGE = "BROKEN_RECHARGE";

    /**
     * 初始复投完成
     */
    public static final String END_INITRECHARGE = "END_INITRECHARGE";

    /**
     * 拆清请求
     */
    public static final String CALL_CLEAN = "CALL_CLEAN";

    /**
     * 拆清呼叫
     */
    public static final String CLEANEMPTYAGVCALL = "CLEANEMPTYAGVCALL";

    /**
     * 拆清开始
     */
    public static final String START_CLEAN = "START_CLEAN";

    /**
     * 拆清结束
     */
    public static final String END_CLEAN = "END_CLEAN";

    /**
     * 设备锁定
     */
    public static final String LOCKSTORE = "LOCKSTORE";

    /**
     * 设备解锁
     */
    public static final String UNLOCKSTORE = "UNLOCKSTORE";

    /**
     * 吊料通知
     */
    public static final String DIAOLIAO = "DIAOLIAO";

    /**
     * 复投通知
     */
    public static final String FUTOU = "FUTOU";

    /**
     * 复投状态的发送
     */
    public static final String SEND_REPEAT_STATUS = "sendRepeatStatus";

    public static final String ZHUANGLIAOHUJIAO = "装料呼叫";
    public static final String DIAOLIAOHUJIAO = "吊料呼叫";
    public static final String AGVYUNSHU = "AGV运输";
    public static final String DAIDIAOLIAO = "待吊料";
    public static final String DIAOLIAOZHONG = "吊料中";
    public static final String WANCHENG = "完成";

    public static final String FUTOUZHONG = "复投中";
    public static final String FUTOUHUJIAO = "呼叫中";
    public static final String YIPEILIAO = "已配料";
    public static final String DAIFUTOU = "待复投";

    public static final String DAICHAIQING = "待拆清";
    public static final String CHAIQINGZHONG = "拆清中";
    public static final String YICHAIQING = "已拆清";

    public static final String LTSMLHJ = "炉台送满料呼叫";
    public static final String CLTYSZ = "从炉台运输中";
    public static final String DAIDAMO = "待打磨";
    public static final String YIDAMO = "已打磨";
    public static final String LTXMLHJ = "炉台需满料呼叫";
    public static final String ZLTYSZ = "至炉台运输中";
    public static final String YYSZLT = "已运输至炉台";

    public static final String TYPE_INITCHARGE = "初始复投";
    public static final String TYPE_CHARGE = "复投";
    public static final String TYPE_BROKENRECHARGE = "断苞复投";
}
