package com.sw.mes.agv.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "复投物料搭配退料DTO")
public class RechargeBackoffDto {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "退料明细")
    private List<RechargeBackoffItemDto> itemDtos = new ArrayList<>();

    @ApiModelProperty(value = "退料原因")
    private String backoffReason;

}
