package com.sw.mes.eam.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @Version 1.0
 * @Author:zbp
 * @Date:2024/4/12 9:31
 * @Content:
 */
@Data
public class EamDeviceResponseDto {
    /**
     * 设备编码
     */
    @JSONField(name = "ASSETNUM")
    @JsonProperty("ASSETNUM")
    private String ASSETNUM;
    /**
     * 设备名称
     */
    @JSONField(name = "DESC")
    @JsonProperty("DESC")
    private String DESC;
    /**
     * 所属基地
     */
    @JSONField(name = "BRANCH")
    @JsonProperty("BRANCH")
    private String BRANCH;
    /**
     * 父级设备
     */
    @JSONField(name = "PARENT")
    @JsonProperty("PARENT")
    private String PARENT;

    /**
     * 层级
     */
    @JSONField(name = "LEVEL")
    @JsonProperty("LEVEL")
    private String LEVEL;

    /**
     * 设备位置
     */
    @JSONField(name = "LOCATION")
    @JsonProperty("LOCATION")
    private String LOCATION;

    /**
     * 位置名称
     */
    @JSONField(name = "LOCATIONDESC")
    @JsonProperty("LOCATIONDESC")
    private String LOCATIONDESC;

    /**
     * 设备状态
     */
    @JSONField(name = "UDSTATUS")
    @JsonProperty("UDSTATUS")
    private String UDSTATUS;

    /**
     * 设备位置路径
     */
    @JSONField(name = "PLP")
    @JsonProperty("PLP")
    private String PLP;

    /**
     * 设备位置路径名称
     */
    @JSONField(name = "PLPD")
    @JsonProperty("PLPD")
    private String PLPD;

    /**
     * 设备分类编码
     */
    @JSONField(name = "HIERARCHYPATH")
    @JsonProperty("HIERARCHYPATH")
    private String HIERARCHYPATH;

    /**
     * 设备分类名称
     */
    @JSONField(name = "CLASSIFICATIOND")
    @JsonProperty("CLASSIFICATIOND")
    private String CLASSIFICATIOND;

    /**
     * 设备分类路径
     */
    @JSONField(name = "CHP")
    @JsonProperty("CHP")
    private String CHP;

    /**
     * 设备分类路径名称
     */
    @JSONField(name = "CHPD")
    @JsonProperty("CHPD")
    private String CHPD;

    /**
     * 固定资产编号
     */
    @JSONField(name = "ASSETCODE")
    @JsonProperty("ASSETCODE")
    private String ASSETCODE;


    /**
     * 资产状态
     */
    @JSONField(name = "ZSTATUS")
    @JsonProperty("ZSTATUS")
    private String ZSTATUS;

    /**
     * 出厂编号
     */
    @JSONField(name = "CCBH")
    @JsonProperty("CCBH")
    private String CCBH;

    /**
     * 规格型号
     */
    @JSONField(name = "GGXH")
    @JsonProperty("GGXH")
    private String GGXH;

    /**
     * 使用情况
     */
    @JSONField(name = "USAGECASE")
    @JsonProperty("USAGECASE")
    private String USAGECASE;

    /**
     * SCADA/集控编码/机台号
     */
    @JSONField(name = "SCADACODE")
    @JsonProperty("SCADACODE")
    private String SCADACODE;




}
