package com.sw.mes.eam.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @Author: xushu
 * @Date: 2024/02/24/16:07
 * @Description:
 */
@Data
public class SyncEquipmentInDto {

    /**
     * 设备编码
     */
    @JSONField(name = "ASSETNUM")
    @JsonProperty("ASSETNUM")
    private String ASSETNUM;
    /**
     * 所属基地
     */
    @JSONField(name = "BRANCH")
    @JsonProperty("BRANCH")
    private String BRANCH;
    /**
     * 设备名称
     */
    @JSONField(name = "DESCRIPTION")
    @JsonProperty("DESCRIPTION")
    private String DESCRIPTION;
    /**
     * 更新结束时间 格式：yyyy-mm-dd
     */
    @JSONField(name = "END_DATE")
    @JsonProperty("END_DATE")
    private String END_DATE;
    /**
     * 层级
     */
    @JSONField(name = "LEVEL")
    @JsonProperty("LEVEL")
    private String LEVEL;
    /**
     * 更新开始时间 格式：yyyy-mm-dd
     */
    @JSONField(name = "PAGE")
    @JsonProperty("PAGE")
    private Integer PAGE;
    /**
     * 查询页码
     */
    @JSONField(name = "PAGESIZE")
    @JsonProperty("PAGESIZE")
    private Integer PAGESIZE;
    /**
     * 每页行
     */
    @JSONField(name = "START_DATE")
    @JsonProperty("START_DATE")
    private String START_DATE;

}
