package com.sw.mes.grade.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "评级测试记录数据Dto")
public class RuleTestDataDto {

    private Long id;
    @ApiModelProperty(value = "评级测试id")
    Long ruleTestId;
    @ApiModelProperty(value = "晶段编号")
    String sectionNo;
    @ApiModelProperty(value = "测试状态")
    Integer status;
    @ApiModelProperty(value = "测试过程")
    String process;
    @ApiModelProperty(value = "评级结果")
    String grade;
    @ApiModelProperty(value = "评级结果（旧）")
    String gradeOld;
    @ApiModelProperty(value = "评级数据")
    String gradeData;
    @ApiModelProperty(value = "创建/修改人")
    String userUpdate;
    @ApiModelProperty(value = "创建/修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtUpdate;
}