package com.sw.mes.grade.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "评级测试log记录Dto")
public class RuleTestLogDto {
    private Integer id;
    @ApiModelProperty(value = "创建/修改人")
    String userUpdate;
    @ApiModelProperty(value = "创建/修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtUpdate;

    /**
     * 测试的评级版本信息
     */
    @ApiModelProperty(value = "名称")
    String name;
    @ApiModelProperty(value = "版本")
    BigDecimal version;

    @ApiModelProperty(value = "晶段编号")
    String sectionNo;
    @ApiModelProperty(value = "测试状态")
    Integer status;
    @ApiModelProperty(value = "评级结果")
    String grade;
    @ApiModelProperty(value = "评级结果（旧）")
    String gradeOld;
    @ApiModelProperty(value = "评级数据")
    String gradeData;
    @ApiModelProperty(value = "评级数据")
    String remarks;
}
