package com.sw.mes.issue.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author wangjingyu
 * @datetime 2023年9月6日 下午5:20:39
 * @description
 */
@Data
@ApiModel(value = "FLS侧同步的圆棒发料记录Dto")
public class FlsYbIssueRecordDto {

    /**
     * 晶段编号
     */
    private String sectionNo;

    /**
     * 状态：0未入；1已入；2异常
     */
    private Integer status;

    /**
     * 小车上的工位顺序编号: 1,2,3,4
     */
    private Integer numNo;
}