package com.sw.mes.issue.dto;

import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author wangjingyu
 * @datetime 2023年9月6日 下午3:37:35
 * @description
 */
@Data
@ApiModel(value = "MCS侧同步的圆棒发料详情Dto")
public class McsYbIssueDetailDto {

    /**
     * 晶段编号
     */
    private String sectionNo;

    /**
     * 状态：0未入；1已入；2异常
     */
    @JsonProperty("state")
    private Integer status;

    /**
     * 小车上的工位顺序编号
     */
    private Integer numNo;
}