package	com.sw.mes.mmcs.service.impl;


import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.mmcs.dao.MmcsDistributionPlanDao;
import com.sw.mes.mmcs.entity.MmcsDistributionPlan;
import com.sw.mes.mmcs.service.MmcsDistributionPlanService;


/**
* @Author 李儒
*/
@Service
@Transactional
public class MmcsDistributionPlanServiceImpl extends BaseServiceImpl<MmcsDistributionPlan> implements MmcsDistributionPlanService {
	MmcsDistributionPlanDao dao;
    
	@Autowired
    public void setDao(MmcsDistributionPlanDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

	@Override
	public List<MmcsDistributionPlan> findByNotSend() {
		return dao.findByNotSend();
	}
	
}
