package com.sw.mes.production.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.production.entity.ProductionAgainTaskRecipe;
import com.sw.mes.production.entity.TruncationReccutDetails;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface ProductionAgainTaskRecipeDao extends BaseDao<ProductionAgainTaskRecipe, Long> {

    @Query(value = "SELECT * FROM production_again_task_recipe WHERE again_task_id = ?1 ",nativeQuery = true)
    List<ProductionAgainTaskRecipe> findByAgainTaskId(Long againTaskId);
}
