package com.sw.mes.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.production.dto.*;
import com.sw.mes.production.entity.FormulaScheme;
import com.sw.mes.production.entity.FormulaSchemeDetail;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface FormulaSchemeService extends BaseService<FormulaScheme> {
    ValidateResult validate(ValidateScheme validateScheme);

    FormulaSchemeData decompositionScheme(DecompositionSchemeParam decompositionSchemeParam);

    void saveOrUpdate(FormulaScheme formulaScheme, List<FormulaSchemeDetail> formulaSchemeDetails);

    Integer getMaxVersion(String code);

//    List<FormulaSchemeData>  decompositionScheme(String schemeCode, String schemeVersion, String weightSchemeCode, List<FormulaSchemeData.LoadingDetail> loadingDetails, BigDecimal weight);
}
