package	com.sw.mes.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.production.entity.MaterialPreparationRules;
import com.sw.mes.production.dao.MaterialPreparationRulesDao;
import com.sw.mes.production.service.MaterialPreparationRulesService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class MaterialPreparationRulesServiceImpl extends BaseServiceImpl<MaterialPreparationRules> implements MaterialPreparationRulesService {
    MaterialPreparationRulesDao dao;
	@Autowired
    public void setDao(MaterialPreparationRulesDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public MaterialPreparationRules findByEquipmentCode(String equipmentCode) {
        return dao.findByEquipmentCode(equipmentCode);
    }
}
