package com.sw.mes.sap.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;


/**
 * 晶科SAP下发生产工单通信记录对象 log_sap_mes_interactive
 * 
 * @author liru
 * @date 2023-12-29
 */
@Data
public class MesReconciliationDto
{
    
    private Long id;

    /** 物料号 */
    private String sku;

    /** 批次 */
    private String lot;
    
    private Double qty;
    
    String createTimeStart;
    String createTimeEnd;
    
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date mesReceiveTime;
    

}
