package com.sw.mes.sap.dto.jip;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
public class JipCloseOrderVerifyResult {

    @JsonProperty("MSG")
    private String msg;//消息
    @JsonProperty("werks")
    private String werks;//工厂
    @JsonProperty("aufnr")
    private String aufnr;//工单
    @JsonProperty("status")
    private Boolean status;//可关单状态
    @JsonProperty("inmake")
    private Double inmake;//在制数量
    @JsonProperty("repnum")
    private Double repnum;//上报数量
    @JsonProperty("norepnum")
    private Double norepnum;//未上报数量
    @JsonProperty("tcratio")
    private Double tcratio;//投入产出比(%)

    public JipCloseOrderVerifyResult(Boolean status, String msg) {
        this.status = status;
        this.msg = msg;
    }

    public JipCloseOrderVerifyResult() {

    }
}
