package com.sw.mes.sap.dto.jip;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class JipProductionOrderResult {

    @JsonIgnore
    public static String SUCCESS = "S";
    @JsonIgnore
    public static String ERROR = "E";

    @JsonProperty("AUFNR")
    private String AUFNR;
    //成功S，失败E
    @JsonProperty("MSGTY")
    private String MSGTY;
    @JsonProperty("MSGTX")
    private String MSGTX;


    public JipProductionOrderResult(String AUFNR, String MSGTY, String MSGTX) {
        this.AUFNR = AUFNR;
        this.MSGTY = MSGTY;
        this.MSGTX = MSGTX;
    }

    public JipProductionOrderResult() {

    }
}
