package com.sw.mes.sap.dto.jip;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class JipWMSResult {

    @JsonIgnore
    public static String SUCCESS = "S";
    @JsonIgnore
    public static String ERROR = "E";

    //消息
    private String message;
    //成功S，失败E
    private String type;


    public JipWMSResult(String type, String message) {
        this.message = message;
        this.type = type;
    }

    public JipWMSResult() {

    }
}
