package com.sw.mes.sap.dto.statistics;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class StatisticsLjDto {
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date startDate;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date endDate;
	
	/**复投任务ID**/
	private Long tid;
	private String did;//投料明细ID
	private String raw_type;//投料类型
	private String sap_no;//订单号
	private String equipment_code;//设备号
	private String lot_no;//炉次号
	private String again_num;//复投次数
	private String material_code;//料号
	private String batch_no;//批次号
	private Double weight;//重量
	private String fill_time;//灌料时间
	private String confirm_time;//投料确认时间
	
}
