package com.sw.mes.sap.reconciliation.framework;

import java.io.Serializable;

/**
 * 获取数据
 *
 * @Author：wanjia
 * @Date：2024/2/25 18:41
 */
@FunctionalInterface
public interface FetchData<T> {

    /**
     * 根据业务id获取数据，封装成中间结果返回
     *
     * @param id
     * @return
     */
    IntermediateResult<T> fetch(Serializable id);
}
