package com.sw.mes.yb.accessory.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuzemin
 * @date 2021/11/15 8:59
 * @description
 */

@Data
@ApiModel(value = "new对调辅料监控dto")
public class EquipAccessNewChangeDto {

    @ApiModelProperty("当前监控id")
    @NotNull(message = "当前监控id不能空")
    Long id;

    @ApiModelProperty("目标监控id")
    @NotNull(message = "目标监控targetId不能空")
    Long targetId;
}
