package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "设备状态Dto")
public class EquipmentDeviceStatusDto {

    private Long id;
     @ApiModelProperty(value = "设备编号" )
     String deviceNo;
     @ApiModelProperty(value = "init_equipment.id 设备表id" )
     Integer equipmentId;
     @ApiModelProperty(value = "开启时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startTime;
     @ApiModelProperty(value = "结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endTime;
     @ApiModelProperty(value = "设备状态(1-抽真空 、2-停炉)" )   //抽真空为开始、停炉为结束
     Integer status;
}