package com.sw.mes.yb.accessory.service;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.yb.accessory.entity.AccessoryMaterial;
import com.sw.mes.core.base.BaseService;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Service;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface AccessoryMaterialService extends BaseService<AccessoryMaterial> {
    AccessoryMaterial findByCodes(String productNo);

    @Jinko(value = "根据物料主数据ID获取辅料信息", author = "wupeng")
    AccessoryMaterial findMaterialId(Long materialModelId);
    @Jinko(value = "根据物料编码获取辅料信息", author = "wupeng")
    AccessoryMaterial getByMaterialCode(String materialCode);
}
