package com.sw.mes.yb.alloy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "修正逻辑Dto")
public class FixLogicDto {

    private Integer id;
     @ApiModelProperty(value = "母合金id" )
     Integer masterAlloyId;
     @ApiModelProperty(value = "热场" )
     String heatField;
     @ApiModelProperty(value = "物料简称" )
     String materialShortName;
     @ApiModelProperty(value = "加次" )
     String addTime;
     @ApiModelProperty(value = "修正上限" )
     BigDecimal fixUpperLimit;
     @ApiModelProperty(value = "修正下限" )
     BigDecimal fixLowerLimit;
     @ApiModelProperty(value = "修正上限常数" )
     BigDecimal fixUpperLimitConstant;
     @ApiModelProperty(value = "修正下限常数" )
     BigDecimal fixLowerLimitConstant;
     @ApiModelProperty(value = "上限梯度" )
     BigDecimal upperLimitGradient;
     @ApiModelProperty(value = "下限梯度" )
     BigDecimal lowerLimitGradient;
}