package com.sw.mes.yb.alloy.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.alloy.dto.FeedingConfirmationDto;
import com.sw.mes.yb.alloy.dto.FurnaceCodeDto;
import com.sw.mes.yb.alloy.entity.FeedingConfirmation;

/**
 * @author lf
 * @description
 * @date 2024/3/5 9:59
 */
public interface FeedingConfirmationService extends BaseService<FeedingConfirmation> {
    /**
     * 根据炉台号查询复投次数
     * @param furnaceCode 炉台号
     * @return 复投次数信息
     */
    FurnaceCodeDto findAgainNumByCode(String furnaceCode);

    /**
     * 母合金加料确认
     * @param feedingConfirmationDto 母合金对象
     */
    void feedingConfirmation(FeedingConfirmationDto feedingConfirmationDto);
}
