package com.sw.mes.yb.check.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "N型样片退火电阻率")
public class PieceCheckAnneal {

    @ApiModelProperty(value = "样片编号")
    private String pieceNo;

    /**
     * 中心退火电阻率
     */
    @ApiModelProperty(value = "中心退火电阻率")
    private BigDecimal centerAnneal;

    /**
     * 边缘退火电阻率
     */
    @ApiModelProperty(value = "边缘退火电阻率")
    private BigDecimal borderAnneal;

    /**
     * 退火后电阻率备注
     */
    @ApiModelProperty(value = "备注")
    private String annealRemark;

    /**
     * 记录人
     */
    @ApiModelProperty(value = "记录人")
    private String annealUser;


    /**
     * 车间
     */
    @ApiModelProperty(value = "车间")
    private String workshop;



}
