package com.sw.mes.yb.deviceCheck.dao;


import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.deviceCheck.entity.DeviceCheckTimeRecord;
import org.springframework.data.jpa.repository.Query;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface DeviceCheckTimeRecordDao extends BaseDao<DeviceCheckTimeRecord, Integer> {

    @Query(value = "SELECT * FROM zhxx_operate_device_check_time_record dctr WHERE dctr.lot_no = ?1 ORDER BY dctr.id DESC LIMIT 1", nativeQuery = true)
    DeviceCheckTimeRecord findByLotNo(String lotNo);
}
