package com.sw.mes.yb.deviceCheck.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.deviceCheck.dao.DeviceCheckTimeRecordDao;
import com.sw.mes.yb.deviceCheck.entity.DeviceCheckTimeRecord;
import com.sw.mes.yb.deviceCheck.service.DeviceCheckTimeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class DeviceCheckTimeRecordServiceImpl extends BaseServiceImpl<DeviceCheckTimeRecord> implements DeviceCheckTimeRecordService {
    DeviceCheckTimeRecordDao dao;
	@Autowired
    public void setDao(DeviceCheckTimeRecordDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public DeviceCheckTimeRecord findByLotNo(String lotNo) {
        return dao.findByLotNo(lotNo);
    }
}
