package com.sw.mes.yb.deviceCheck.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.deviceCheck.dao.DeviceCleanRecordDao;
import com.sw.mes.yb.deviceCheck.entity.DeviceCleanRecord;
import com.sw.mes.yb.deviceCheck.service.DeviceCleanRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class DeviceCleanRecordServiceImpl extends BaseServiceImpl<DeviceCleanRecord> implements DeviceCleanRecordService {
    DeviceCleanRecordDao dao;
	@Autowired
    public void setDao(DeviceCleanRecordDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public DeviceCleanRecord findByLotNo(String lotNo) {
        return dao.findByLotNo(lotNo);
    }
}
