package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;


@ApiModel(value = "送验绑定信息上传")
@Data
public class InspectionBindingInfoDto {
    @ApiModelProperty(value = "长晶棒编号")
    @NotBlank(message = "长晶棒编号不能为空")
    String crystalNo;
    @ApiModelProperty(value = "送验车编号")
    @NotBlank(message = "送验车编号不能为空")
    String pailNum;
    @ApiModelProperty(value = "送验车工位")
    String locationNo = "1";
    @ApiModelProperty(value = "结束点位,自动送验呼叫agv地标码")
    String endCode;
}
