package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;

/**
 * @author js114457
 */
@Data
public class McsFbInventoryDto{

    @ApiModelProperty(value = "晶棒编号")
    @Column(name = "crystal_no",length = 32)
    @NotNull(message = "单晶编号不能为空")
    private String crystalNo;

    @ApiModelProperty(value = "打包托位")
    @Column(name = "pack_box",length = 32)
    @NotNull(message = "打包托位不能为空")
    private String packBox;

    @ApiModelProperty(value = "拼版数量")
    @Column(name = "sticks_count",length = 32)
    @NotNull(message = "拼数不能为空")
    private String sticksCount;

    @ApiModelProperty(value = "租户id")
    @Column(name = "tenant_id",length = 32)
    private Integer tenantId;

    @ApiModelProperty(value = "关联id")
    @Column(name = "relation_id",length = 32)
    private Integer relationId;

    @ApiModelProperty(value = "分库标记")
    @Column(name = "branch_code",length = 32)
    private String branchCode;

    @ApiModelProperty(value = "库位号")
    @Column(name = "warehouse_location_no",length = 32)
    private Integer wareHouseLocationNo;


    @ApiModelProperty(value = "长度")
    private Integer length;

    @ApiModelProperty(value = "型号")
    private String conductiveType;

    @ApiModelProperty(value = "规格")
    private String specs;

    @ApiModelProperty(value = "产品等级")
    private String productGrade;

    @ApiModelProperty(value = "产品类型")
    private String productType;

    @ApiModelProperty(value = "组号")
    private String groupId;


}
