package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wangjingyu
 * @datetime 2023年9月4日 上午10:34:41
 * @description 具体传入参数参考AGV配置对应关键字内容
 */
@Data
@ApiModel(value = "SybdCallDto")
public class SybdCallDto {

    @ApiModelProperty(value = "载具编号")
    private String frockCode;

    @ApiModelProperty(value = "载具类型")
    private String frockType;


    @ApiModelProperty(value = "物料详细信息")
    private String materialDetailInfo;


    @ApiModelProperty(value = "物料编号 ，使用|切割")
    private String materialNo;
}