package com.sw.mes.yb.mcs.dto.fillingMaterial;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "mcs生产任务报工物料明细Dto")
public class McsMaterialDto {
	@ApiModelProperty(value = "物料编码")
	private String materialNo;
	@ApiModelProperty(value = "物料描述")
	private String materialName;
	@ApiModelProperty(value = "物料重量")
	private BigDecimal materialWeight;
	@ApiModelProperty(value = "物料种类")
	private String materialType;
	@ApiModelProperty(value = "生产批次")
	private String batch;
	@ApiModelProperty(value = "生产厂家")
	private String factoryBrand;
	@ApiModelProperty(value = "复投桶编号、坩埚编号")
	private String vesselNo;
	@ApiModelProperty(value = "单位")
	private String unit;
//	@ApiModelProperty(value = "线边仓库位编码")
//	private String storeLocationCode;
}
