package com.sw.mes.yb.mcs.dto.fillingMaterial.MoTrayBindingToMcs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/26 16:22
 */
@Data
@ApiModel(value = "物料属性dto")
public class MaterialPropertyDto {
    @ApiModelProperty(value = "物料批次")
    private String materialBatch;
    @ApiModelProperty(value = "物料编号")
    private String materialNo;
    @ApiModelProperty(value = "数量")
    private BigDecimal count;
    @ApiModelProperty(value = "定向")
    private String directional;
    @ApiModelProperty(value = "物料名称")
    private String materialName;
    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "档位")
    private String materialGear;
    @ApiModelProperty(value = "等级")
    private String materialLevel;
    @ApiModelProperty(value = "物料类型")
    private String materialType;
    @ApiModelProperty(value = "规格")
    private String specification;
    @ApiModelProperty(value = "供应商")
    private String supplier;
    @ApiModelProperty(value = "粒径")
    private String suppliesGrain;
    @ApiModelProperty(value = "唯一码")
    private String uniqueCode;
    @ApiModelProperty(value = "库位名称")
    private String warehouseName;
    @ApiModelProperty(value = "库位编码")
    private String warehouseCode;
}
