package com.sw.mes.yb.mcs.dto.fillingMaterial.MoTrayBindingToMcs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/22 10:36
 */
@Data
@ApiModel(value = "mcs原料托盘绑定下发mcsDto")
public class MoTrayBindingToMcsDto {
    @ApiModelProperty(value = "托盘编号")
    private String trayCode;
    @ApiModelProperty(value = "托盘状态：0 空托、1 空箱、2 有料、9 异常")
    private Integer trayState;
    @ApiModelProperty(value = "托盘分类：GG:坩埚、LH:料盒")
    private String trayType;
    @ApiModelProperty(value = "物料集合")
    private List<BindingCassetteToMcsDto> cassetteList;

//-------坩埚用-----
    @ApiModelProperty(value = "物料类型")
    private String materialType;
    @ApiModelProperty(value = "物料批次")
    private String materialBatch;
    @ApiModelProperty(value = "物料编号")
    private String materialNo;
    @ApiModelProperty(value = "物料属性")
    private MaterialPropertyDto materialProperty;

}
