package com.sw.mes.yb.mcs.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.mcs.entity.SegmentBindInfoFb;
import com.sw.mes.yb.mcs.dao.SegmentBindInfoFbDao;
import com.sw.mes.yb.mcs.service.SegmentBindInfoFbService;

import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class SegmentBindInfoFbServiceImpl extends BaseServiceImpl<SegmentBindInfoFb> implements SegmentBindInfoFbService {
    SegmentBindInfoFbDao dao;

	@Autowired
    public void setDao(SegmentBindInfoFbDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<SegmentBindInfoFb> findBySegmentNo(String segmentNo) {
        return dao.findBySegmentNo(segmentNo);
    }
}
