package	com.sw.mes.yb.mcs.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.mcs.entity.SegmentInspectionPassPointInfo;
import com.sw.mes.yb.mcs.dao.SegmentInspectionPassPointInfoDao;
import com.sw.mes.yb.mcs.service.SegmentInspectionPassPointInfoService;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class SegmentInspectionPassPointInfoServiceImpl extends BaseServiceImpl<SegmentInspectionPassPointInfo> implements SegmentInspectionPassPointInfoService {
    SegmentInspectionPassPointInfoDao dao;
	@Autowired
    public void setDao(SegmentInspectionPassPointInfoDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<SegmentInspectionPassPointInfo> findBySectionNo(String sectionNo) {
        return dao.findBySectionNo(sectionNo);
    }
}
