package com.sw.mes.yb.pad.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.persistence.Column;
import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "RecutDetailDto")
public class RecutDetailDto {

    private Long id;
     @ApiModelProperty(value = "方棒编号" )
     String sectionNoFb;
     @ApiModelProperty(value = "圆棒id" )
     Long ybId;
     @ApiModelProperty(value = "圆棒编号" )
     String sectionNo;
     @ApiModelProperty(value = "是否已切断(0否  1是)" )
     Integer isCut;
     @ApiModelProperty(value = "父级id 未反切的为0" )
     Long parentId;
     @ApiModelProperty(value = "创建人" )
     String createUser;

     // 长晶棒id
     @ApiModelProperty(value = "长晶棒id")
     private Long crystalId;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createDate;
}