package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "头尾料分类规则Dto")
public class HeadTailMaterialRuleDto {

    private Integer id;
    @ApiModelProperty(value = "托位号")
    Integer bracketNo;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "回收料分类名称")
    String recoveryName;
    @ApiModelProperty(value = "电阻率")
    String border;
    @ApiModelProperty(value = "少子寿命")
    String sinton;
    @ApiModelProperty(value = "碳含量")
    String carbon;
    @ApiModelProperty(value = "创建者", required = true)
    String userCreate;
    @ApiModelProperty(value = "修改者")
    String userUpdate;
    @ApiModelProperty(value = "创建时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtCreate;
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtUpdate;
    @ApiModelProperty(value = "线体号")
    String line;
    @ApiModelProperty(value = "线体区域编码")
    String regionCode;
    @ApiModelProperty(value = "产品类别")
    String productType;
    @ApiModelProperty(value = "设备编号")
    String deviceCode;
    @ApiModelProperty(value = "回收料托位名称")
    String reduceTrayName;
    @ApiModelProperty(value = "物料名称")
    String materialName;
    @ApiModelProperty(value = "物料编码")
    String materialCode;
    @ApiModelProperty(value = "产品等级")
    String productGrade;
}