package com.sw.mes.yb.pc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "二次评级-评级项")
public class InspectStandardSecondDto {

    private Integer id;

    /**
     * 检验参数ID
     */
    @ApiModelProperty(value = "检验参数ID")
    private Integer inspectItemId;

    /**
     * 检验参数
     * 显示名称
     */
    @ApiModelProperty(value = "显示名称")
    private String inspectItemDisplayName;

    /**
     * 检验参数
     * 字段名称
     */
    @ApiModelProperty(value = "属性名称")
    private String inspectItemFieldName;

    /**
     * 条件
     */
    @ApiModelProperty(value = "条件")
    private String conditions;

    /**
     * 值1
     */
    @ApiModelProperty(value = "值1")
    private String value1;

    /**
     * 值2
     */
    @ApiModelProperty(value = "值2")
    private String value2;

}
