package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "合格证打印记录Dto")
public class QualityPrintLogDto {

    private Integer id;
     @ApiModelProperty(value = "打印操作人" )
     String userName;
     @ApiModelProperty(value = "晶段编号" )
     String sectionNo;
     @ApiModelProperty(value = "打印时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date printTime;
}