package com.sw.mes.yb.pc.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "托盘解绑Dto")
public class TrayUnbindingDto {

    @ExcelProperty("托盘编号")
    @ApiModelProperty(value = "托盘编号",required = true)
    String code;

    @ExcelProperty("晶段编号集合")
    @ApiModelProperty(value = "晶段编号集合",required = true)
    List<String> sectionNoList;

    @ApiModelProperty(value = "解绑人")
    String unbundlingUserName;
}
