package com.sw.mes.yb.pc.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.pc.entity.EstimatedRecord;
import com.sw.mes.yb.pc.dao.EstimatedRecordDao;
import com.sw.mes.yb.pc.service.EstimatedRecordService;

import java.util.Date;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class EstimatedRecordServiceImpl extends BaseServiceImpl<EstimatedRecord> implements EstimatedRecordService {
    EstimatedRecordDao dao;

	@Autowired
    public void setDao(EstimatedRecordDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public void saveEstimatedRecord(String deviceCode, Date startTime, String data4647, String length) {
    }

    @Override
    public void deleteBeforeHalfHourEstimatedRecord(Date halfHour,Date updateTime) {
        dao.deleteBeforeHalfHourEstimatedRecord(halfHour,updateTime);
    }
}
