package com.sw.mes.yb.plan.dto;

import com.alibaba.fastjson.JSONArray;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


/**
 * @author zhaoyayun
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "水位拉动配置下发WMS Dto")
public class PlanWaterLineManageToWmsDto {
    @ApiModelProperty(value = "是否强制下发 - 默认强制下发")
    private Boolean isForce = true;
    @ApiModelProperty(value = "总数")
    private Integer totalNum;
    //  List<PlanWaterLineManageRecordToWmsDto> details;
    @ApiModelProperty(value = "详细")
    private JSONArray details;
    @ApiModelProperty(value = "点位")
    private String point;
    //    @ApiModelProperty(value = "类型")
//    private String strategy;
    @ApiModelProperty(value = "接口名称")
    String mode;
}
