package com.sw.mes.yb.plan.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @zhaoyayun
 * @20230913
 * @v1.0.0
 **/
@Data
@ApiModel(value = "水位拉动配置中间表Dto")
public class WaterLineManageMediumDto {

    private Integer id;

    /**
     * uuid
     */
    @ApiModelProperty(value = "uuid" )
    private String uuid;

    /**
     * 产品类别
     */
    @ApiModelProperty(value = "产品类别" )
    private String productType;

    /**
     * 导电型号
     */
    @ApiModelProperty(value = "导电型号" )
    private String conductiveType;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格" )
    private String specification;

    /**
     * 掺杂剂
     */
    @ApiModelProperty(value = "掺杂剂" )
    private String dopant;

    /**
     * 电阻档位
     */
    @ApiModelProperty(value = "电阻档位" )
    private String resistanceLevel;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间" )
    private Date createTime;

    /**
     * 创建者姓名
     */
    @ApiModelProperty(value = "创建者姓名" )
    private String createUserName;

    @ApiModelProperty(value = "方棒长度范围")
    String sideLengthRange;

    @ApiModelProperty(value = "圆棒产品等级")
     private String ybProductGrade;

}
