package com.sw.mes.yb.plan.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.plan.dto.PlanWaterLineManageObj;
import com.sw.mes.yb.plan.entity.PlanWaterLineManage;
import com.sw.mes.yb.plan.entity.PlanWaterLineManageRecord;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface PlanWaterLineManageService extends BaseService<PlanWaterLineManage> {
    List<PlanWaterLineManageRecord> findPlanWaterLineById(Long id);

    Result saveOrUpdateRecord(PlanWaterLineManageObj dto);

    PlanWaterLineManageRecord selectOneOrder(String dopant, String conductiveType,String specs, String productType);

    List<PlanWaterLineManageRecord> selectAllOrder(String dopant, String conductiveType,String specs, String ybProductGrade, String resLevel, String sideLengthRange);

    List<PlanWaterLineManageRecord> selectOrders(String dopant, String conductiveType,String specs,String sideLengthRange, String ybLevel, String resLevel);
}
