package com.sw.mes.yb.production.dto.AgainTaskDetail;

import java.util.ArrayList;
import java.util.List;

import com.sw.mes.yb.production.dto.InputFurnaceDetailDto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author 李儒：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "复投任务明细更新Dto")
public class AgainTaskDetailUpdate {

	@ApiModelProperty(value = "灌料任务ID")
	private Long id;
	
	@ApiModelProperty(value = "设备号")
	String equipmentCode;
	
	@ApiModelProperty(value = "炉次号")
	String lotNo;
	
	
	@ApiModelProperty(value = "物料明细")
    List<InputFurnaceDetailDto> inputFurnaceDetailDtos = new ArrayList<InputFurnaceDetailDto>();
    
}