package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "批次操作Dto")
public class BatchOperationDto {
     @ApiModelProperty(value = "锁定人" )
     String lockUser;
     @ApiModelProperty(value = "锁定时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date lockTime;
     @ApiModelProperty(value = "锁定原因" )
     String lockReason;
     @ApiModelProperty(value = "锁定备注" )
     String lockRemark;
     @ApiModelProperty(value = "解锁人" )
     String unlockUser;
     @ApiModelProperty(value = "解锁时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date unlockTime;
     @ApiModelProperty(value = "解锁原因" )
     String unlockReason;
     @ApiModelProperty(value = "解锁备注" )
     String unlockRemark;

    @ApiModelProperty(value = "操作状态[0、批量锁定；1：批量解锁；2：批量删除]" )
    Integer operateStatus;

    @ApiModelProperty(value = "修改者" )
    String userUpdate;

    @ApiModelProperty(value = "批次操作Id集合" )
    List<Long> idList;

    @ApiModelProperty(value = "单晶编号集合" )
    List<String> sectionNoList;
}