package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "批次操作Dto")
public class CrystalBatchOperationCreateDto {

     @ApiModelProperty(value = "锁定人" )
     String lockUser;
     @ApiModelProperty(value = "锁定时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date lockTime;
     @ApiModelProperty(value = "锁定原因" )
     String lockReason;
     @ApiModelProperty(value = "锁定备注" )
     String lockRemark;
     @ApiModelProperty(value = "在制状态（0：待进站；1：已经站；2：已出站）" )
     Integer siteStatus;

     @ApiModelProperty(value = "批次操作单晶信息集合" )
     List<CrystalBatchInfoDto> batchInfoDtoList;
}