package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.persistence.Column;
import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "单晶炉扩展状态Dto")
public class EquipmentExtendStateDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "所属系列" )
     String series;
     @ApiModelProperty(value = "所属模块" )
     String area;
     @ApiModelProperty(value = "登录操作人员" )
     String userName;
     @ApiModelProperty(value = "登录操作时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date loginTime;
     @ApiModelProperty(value = "设备状态(1:运行,2:待机,3:停机)" )
     Integer equipmentState;
     @ApiModelProperty(value = "液位杆状态 (true:启用,false:未启用)" )
     Boolean levelStickState;
     @ApiModelProperty(value = "登陆状态 (true:已登录,false:未登录)" )
     private Boolean loginState;
     @ApiModelProperty(value = "登录后的token" )
     private String token;
     @ApiModelProperty(value = "班组" )
     private String teamGroup;
     @ApiModelProperty(value = "班次" )
     private String classNo;
}