package com.sw.mes.yb.production.dto.InputFurnaceBurden;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2023/2/23 10:59
 * @description
 */
@Data
public class InputFurnaceBurdenExport {
    @ColumnWidth(0)
    @ExcelProperty({"id"})
    String id;

    @ExcelProperty({"设备号"})
    String equipmentCode; //设备号

    @ExcelProperty({"炉次号"})
    String lotNo; //炉次号

    @ExcelProperty({"载具编号"})
    String vehicleCode; //载具编号

    @ExcelProperty({"任务类型"})
    String againNum; //任务类型

    @ExcelProperty({"产品料号"})
    String productCode; //产品料号

    @ExcelProperty({"状态"})
    String rawStatus; //状态

    @ExcelProperty({"灌料桶数"})
    String pailNum; //灌料桶数

    @ExcelProperty({"班次"})
    String classNo; //班次

    @ExcelProperty({"班组"})
    String teamGroup; //班组

    @ExcelProperty({"灌料人"})
    String userName1; //灌料人

    @ExcelProperty({"灌料开始时间"})
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date startTime; //灌料开始时间

    @ExcelProperty({"灌料结束时间"})
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date endTime; //灌料结束时间

    @ExcelProperty({"操作原因"})
    String operationCause; //操作原因

    @ExcelProperty({"操作人"})
    String userName2; //操作人

    @ExcelProperty({"操作时间"})
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operationTime; //操作时间

    @ExcelProperty({"左桶编号"})
    String leftCode; //左桶编号

    @ExcelProperty({"右桶编号"})
    String rightCode; //右桶编号

    @ExcelProperty({"灌料明细", "料号"})
    String materialCode; //料号

    @ExcelProperty({"灌料明细", "物料名称"})
    String materialName; //物料名称

    @ExcelProperty({"灌料明细", "批次号"})
    String batchNo; //批次号

    @ExcelProperty({"灌料明细", "厂牌"})
    String supplierName; //厂牌

    @ExcelProperty({"灌料明细", "重量"})
    String weight; //重量

    @ExcelProperty({"灌料明细", "箱数(40KG)"})
    String bucketForty; //箱数(40KG)

    @ExcelProperty({"灌料明细", "箱数(10KG)"})
    String bucketTen; //箱数(10KG)
}
