package com.sw.mes.yb.production.dto.LoadingTask;

import com.sw.mes.yb.production.dto.FillingTaskRecipeDto;
import com.sw.mes.yb.production.dto.ProductionBucketRecipeRecordDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author xushu
 * @date
 */
@Data
@ApiModel(value = "每桶灌料配料详情")
public class FillingTaskVo {

    @ApiModelProperty(value = "一桶重量" )
    Integer weight;
    @ApiModelProperty(value = "物料分配明细" )
    List<FillingTaskRecipeDto> productionBucketRecipeRecordDtos;
    @ApiModelProperty(value = "合金重量" )
    BigDecimal alloyWeight;
    @ApiModelProperty(value = "合金名称" )
    String alloyName;
}