package com.sw.mes.yb.production.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "长晶棒Dto")
public class LongCrystalTaskDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "单晶编号" )
     String crystalNo;
     @ApiModelProperty(value = "所属系列" )
     String series;
     @ApiModelProperty(value = "所属模块" )
     String area;
     @ApiModelProperty(value = "收尾方式" )
     String windUp;
     @ApiModelProperty(value = "复投次数" )
     Integer againNum;
     @ApiModelProperty(value = "单晶颗数" )
     Integer crystalNum;
     @ApiModelProperty(value = "晶体长度" )
     BigDecimal length;
     @ApiModelProperty(value = "重量" )
     BigDecimal weight;
     @ApiModelProperty(value = "状态【0：默认；0-未送验；1-已送验；】" , required = true)
     Integer crystalStatus;
     @ApiModelProperty(value = "炉台类型【0:默认；0-量产;1-在建;2-研发;】" , required = true)
     Integer furnaceType;
     @ApiModelProperty(value = "料号" )
     String productCode;
     @ApiModelProperty(value = "产品等级" )
     String productGrade;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "产品类别" )
     String productType;
}