package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "长晶棒工时信息Dto")
public class LongCrystalWorkHourDto {

    @ExcelProperty(value = "工厂代码")
    @ApiModelProperty(value = "晶棒SN")
    String crystalNo;

    @ExcelProperty(value = "工时")
    @ApiModelProperty(value = "工时")
    BigDecimal workHour;

    @ExcelProperty(value = "工单")
    @ApiModelProperty(value = "工单")
    String orderNo;
}
