package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author xushu
 * @date
 */
@Data
@ApiModel(value = "复投配方方案")
public class ProductionAgainTaskRecipeDto {

    private Long id;
    @ApiModelProperty(value = "复投任务id" )
    Long againTaskId;
    @ApiModelProperty(value = "配方类型" )
    String recipeKind;
    @ApiModelProperty(value = "物料类型名称" )
    String suppliesName;
    @ApiModelProperty(value = "物料类型编码" )
    String suppliesCode;
    @ApiModelProperty(value = "物料分类" )
    String suppliesType;
    @ApiModelProperty(value = "掺杂剂" )
    String suppliesDopant;
    @ApiModelProperty(value = "电阻率最大值" )
    String suppliesResistanceMax;
    @ApiModelProperty(value = "电阻率最小值" )
    String suppliesResistanceMin;
    @ApiModelProperty(value = "粒径最小值" )
    String suppliesGrainMin;
    @ApiModelProperty(value = "粒径最大值" )
    String suppliesGrainMax;
    @ApiModelProperty(value = "物料重量" )
    Integer weight;
    @ApiModelProperty(value = "剩余重量" )
    Integer weight1;
    @ApiModelProperty(value = "40Kg箱数" )
    Integer bucketForty;
    @ApiModelProperty(value = "10Kg箱数" )
    Integer bucketTen;
    @ApiModelProperty(value = "替代的物料分类" )
    String suppliesTypes;
    @ApiModelProperty(value = "创建时间" )
    Date createTime;
    @ApiModelProperty(value = "创建人" )
    String createBy;
    @ApiModelProperty(value = "替代物料分类" )
    List<String> suppliesTypeList = new ArrayList<>();
}