package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒生产配料重量方案详情Dto")
public class ProductionCircleWeightDetailDto {

    private Integer id;
     @ApiModelProperty(value = "重量方案名称" )
     String weightName;
     @ApiModelProperty(value = "重量方案编码" )
     String weightCode;
     @ApiModelProperty(value = "配方编码id" )
     private Integer recipeId;
     @ApiModelProperty(value = "版本号" )
     Integer version;
     @ApiModelProperty(value = "配方用途" )
     String recipePurpose;
//     @ApiModelProperty(value = "配方类型" )
//     String recipeKind;
//     @ApiModelProperty(value = "物料名称" )
//     String suppliesName;
//     @ApiModelProperty(value = "物料类型编码" )
//     String suppliesCode;
//     @ApiModelProperty(value = "重量" )
//     Integer weight;
//     @ApiModelProperty(value = "总重量" )
//     Integer gross;
//     @ApiModelProperty(value = "尺寸(坩埚属性)" )
//     String suppliesSize;
//     @ApiModelProperty(value = "高度(坩埚属性)" )
//     String suppliesHeight;
//     @ApiModelProperty(value = "厂牌(坩埚属性)" )
//     String suppliesBrand;
//     @ApiModelProperty(value = "工艺(坩埚属性))" )
//     String suppliesCraft;
     @ApiModelProperty(value = "桶数类型" )
     String bucketType;
     @ApiModelProperty(value = "上限" )
     BigDecimal upperLimit;
     @ApiModelProperty(value = "下限" )
     BigDecimal lowerLimit;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createDate;
}