package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒生产配料重量方案Dto")
public class ProductionCircleWeightDto {

    private Integer id;
     @ApiModelProperty(value = "重量方案名称" )
     String weightName;
     @ApiModelProperty(value = "重量方案编码" )
     String weightCode;
     @ApiModelProperty(value = "版本号" )
     Integer version;
     @ApiModelProperty(value = "状态(1启用，0：未启用)" )
     Integer status;
     @ApiModelProperty(value = "用户id" )
     Integer userId;
     @ApiModelProperty(value = "用户名称" )
     String userName;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
//     @ApiModelProperty(value = "尺寸(坩埚属性)" )
//     String suppliesSize;
//     @ApiModelProperty(value = "高度(坩埚属性)" )
//     String suppliesHeight;
}