package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
@ApiModel(value = "ReworkingDto对象", description = "返工打签对象")
public class ReworkingDto implements Serializable {


    @ApiModelProperty("返工料箱号")
    private String boxNo;

    @ApiModelProperty("备注")
    private String note;

    @ApiModelProperty("硅料名称")
    private String materialName;

    @ApiModelProperty("返工重量")
    private String reWorkWeight;

    @ApiModelProperty("档位")
    private String materialGear;

    @ApiModelProperty("等级")
    private String materialLevel;

    @ApiModelProperty("追溯厂家")
    private String factory;

    @ApiModelProperty("接收日期")
    private String date;

    @ApiModelProperty("掺杂型号")
    private String materialModel;

    @ApiModelProperty("返工工序")
    private String source;

}
