package	com.sw.mes.yb.production.service.impl;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.production.dao.EquipmentClickLogDao;
import com.sw.mes.yb.production.entity.EquipmentClickLog;
import com.sw.mes.yb.production.service.EquipmentClickLogService;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class EquipmentClickLogServiceImpl extends BaseServiceImpl<EquipmentClickLog> implements EquipmentClickLogService {
    EquipmentClickLogDao dao;
	@Autowired
    public void setDao(EquipmentClickLogDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }


	@Override
	public EquipmentClickLog getLastLog(String equimentCode) {
		return dao.getLastLog(equimentCode);
	}

}
