package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "单晶投料信息Dto")
public class CastMaterialInfoDto {

    private Long id;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "模块" )
     String area;
     @ApiModelProperty(value = "炉台号" )
     String deviceNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "投料重量" )
     BigDecimal materialWeight;
     @ApiModelProperty(value = "投料类型" )
     String materialType;
     @ApiModelProperty(value = "时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date date;
}