package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "CrystalBrokenBaseDto")
public class CrystalBrokenBaseDto {

    private Long id;
     @ApiModelProperty(value = "日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date dateTime;
     @ApiModelProperty(value = "班组" )
     String classGroup;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "炉台号" )
     String deviceNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "复投次数" )
     String againNum;
     @ApiModelProperty(value = "原因类型" )
     String reasonType;
     @ApiModelProperty(value = "原因分析" )
     String reasonInfo;
     @ApiModelProperty(value = "操作人" )
     String operationUser;
     @ApiModelProperty(value = "操作时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date operationTime;
     @ApiModelProperty(value = "更新人" )
     String updateUser;
     @ApiModelProperty(value = "更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
     @ApiModelProperty(value = "引晶长度mm" )
     BigDecimal crystalLength;
     @ApiModelProperty(value = "引晶剩料重量kg" )
     BigDecimal crystalResidueWeight;
     @ApiModelProperty(value = "创建人" )
     String createBy;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
}
