package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "CrystalBrokenBaseReasonDto")
public class CrystalBrokenBaseReasonDto {

     @NotNull(message = "用户名不能为空")
     @ApiModelProperty(value = "id集合,逗号分隔,如2,4" )
     private List<Long> ids;
     @NotNull(message = "原因类型不能为空")
     @ApiModelProperty(value = "原因类型" )
     String reasonType;
     @NotNull(message = "原因分析不能为空")
     @ApiModelProperty(value = "原因分析" )
     String reasonInfo;
     @NotNull(message = "更新人不能为空")
     @ApiModelProperty(value = "更新人" )
     String user;
}
