package com.sw.mes.yb.report.dto;

import com.alibaba.excel.metadata.BaseRowModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "备料车间在制统计Dto")
public class MaterialPreparationDto extends BaseRowModel {

    private Long id;
    @ApiModelProperty(value = "日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    Date date;
    @ApiModelProperty(value = "计划产量")
    BigDecimal targetValue;

}