package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "Dto")
public class ZhxxProgressStatisticsDto {

     private Long id;
     @ApiModelProperty(value = "晶段编号" )
     private String crystalNo;
     @ApiModelProperty(value = "日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "工序" )
     String processName;
     @ApiModelProperty(value = "状态：1待进站；2已进站；3已出站" )
     Integer status;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "重量" )
     BigDecimal weight;
     @ApiModelProperty(value = "收尾方式" )
     String windUp;
     @ApiModelProperty(value = "当天执行时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date time;
     @ApiModelProperty(value = "产品类别" )
     String productType;
}