package com.sw.mes.yb.report.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.report.dao.SuccessCrystalBaseDao;
import com.sw.mes.yb.report.entity.SuccessCrystalBase;
import com.sw.mes.yb.report.service.SuccessCrystalBaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class SuccessCrystalBaseServiceImpl extends BaseServiceImpl<SuccessCrystalBase> implements SuccessCrystalBaseService {
    SuccessCrystalBaseDao dao;
	@Autowired
    public void setDao(SuccessCrystalBaseDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<SuccessCrystalBase> findByDeviceNoAndAgainNum(String deviceNo, String againNum) {
        return  dao.findByDeviceNoAndAgainNum(deviceNo,againNum);
    }

    @Override
    public SuccessCrystalBase getByDeviceNoAndSpliceStartTime(String deviceNo, Date spliceStartTime) {
        return dao.getByDeviceNoAndSpliceStartTime(deviceNo,spliceStartTime);
    }
}
