/*
 Navicat Premium Data Transfer

 Source Server         : 思维晶科本地数据库
 Source Server Type    : MySQL
 Source Server Version : 50728
 Source Host           : 10.60.120.51:3306
 Source Schema         : jinko_mes

 Target Server Type    : MySQL
 Target Server Version : 50728
 File Encoding         : 65001

 Date: 17/01/2024 10:10:18
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for seed_group_bracket
-- ----------------------------
DROP TABLE IF EXISTS `seed_group_bracket`;
CREATE TABLE `seed_group_bracket`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组托编码',
  `count` int(11) NULL DEFAULT NULL COMMENT '个数',
  `the_weight` double NULL DEFAULT NULL COMMENT '理论重量',
  `dopant` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '掺杂剂',
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态',
  `create_by` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组托人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '组托时间',
  `launch_by` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '发起人',
  `launch_date` datetime NULL DEFAULT NULL COMMENT '发起时间',
  `material_id` int(11) NULL DEFAULT NULL COMMENT '物料id',
  `material_code` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料编码',
  `material_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料名称',
  `material_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料类型',
  `material_model` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料型号',
  `spec` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格',
  `input_bill_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '入库单号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '籽晶组托主表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
