package com.sw.mes.yb.turnstore.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;


@Data
@ApiModel(value = "托盘绑定单晶接参对象")
public class BindingCrystalDto {


    @ApiModelProperty(value = "托号")
    private String trayNo;

    @ApiModelProperty(value = "绑定的单晶编号")
    private String crystalNo;


    @ApiModelProperty(value = "解绑原因")
    private String reason;
    @ApiModelProperty(value = "绑定地点(自定义名称)")
    private String bindingSite;
    @ApiModelProperty(value = "操类型【0-自动绑定；1-人工绑定(记录绑定人）；2-解除绑定；】")
    private Integer isBinding;


}
