package com.sw.mes.yb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "周转库库存Dto")
public class TurnstoreDto {

    private Integer id;
     @ApiModelProperty(value = "入库申请单号" )
     String instoreOrderNo;
     @ApiModelProperty(value = "晶段编号" )
     String sectionNo;
     @ApiModelProperty(value = "产品等级" )
     String productLevelSecond;
     @ApiModelProperty(value = "实验等级" )
     String productLevelExperiment;
     @ApiModelProperty(value = "产品规格" )
     String productTypeSecond;
     @ApiModelProperty(value = "入库长度" )
     BigDecimal instoreLength;
     @ApiModelProperty(value = "入库重量" )
     BigDecimal instoreWeight;
     @ApiModelProperty(value = "圆棒长度" )
     BigDecimal actualLength;
     @ApiModelProperty(value = "重量" )
     BigDecimal actualWeight;
     @ApiModelProperty(value = "细减长" )
     BigDecimal fineCutLength;
     @ApiModelProperty(value = "" )
     BigDecimal collapseLine;
     @ApiModelProperty(value = "库位名称" )
     String locationName;
     @ApiModelProperty(value = "入库类型" )
     String instoreType;
     @ApiModelProperty(value = "入库操作人" )
     String instoreOperateUser;
     @ApiModelProperty(value = "入库时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date instoreTime;
     @ApiModelProperty(value = "出库状态" )
     String outState;
     @ApiModelProperty(value = "托号" )
     String trayNo;
     @ApiModelProperty(value = "备注" )
     String remark;
     @ApiModelProperty(value = "晶段类型" )
     String sectionType;
 @ApiModelProperty(value = "退料原因" )
 String reason;
}
