package com.sw.mes.yb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.turnstore.dto.RecheckInspectReceiveDetailDto;
import com.sw.mes.yb.turnstore.entity.RecheckInspectReceive;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface RecheckInspectReceiveService extends BaseService<RecheckInspectReceive> {
    /**
     * 根据托号查询退库主表
     *
     * @param trayNo
     * @return
     */
    RecheckInspectReceive findByTrayNo(String trayNo);

    void exportExcel(HttpServletRequest request, HttpServletResponse resp);

    void updateState(RecheckInspectReceive entityFromFto, List<RecheckInspectReceiveDetailDto> detailDtoList);

    Result mesToWmsReceipt(String outOrderNo, Integer state);
}
