package com.sw.mes.yb.turnstore.service;

import java.util.Date;
import java.util.List;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.turnstore.entity.WarehousingStatisticsYb;

public interface WarehousingStatisticsYbService extends BaseService<WarehousingStatisticsYb> {

	/**
	 * @Title: findByConfirmTime
	 * @Description: 根据开始时间和截止时间 查询记录（圆棒入库量）
	 * @param @param startTime
	 * @param @param endTime
	 * @param @return    设定文件
	 * @return List<WarehousingStatisticsYb>    返回类型
	 * @throws
	 */
	public List<WarehousingStatisticsYb> findByConfirmTime(Date startTime, Date endTime);
}
