package com.sw.mes.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "ExceptionLogDto")
public class ProductionExceptionLogDto {
    private Long id;
    @ApiModelProperty(value = "0：圆棒，1:方棒")
    Integer type;
    @ApiModelProperty(value = "晶段编号")
    String sectionNo;
    @ApiModelProperty(value = "异常名称")
    String exceptionName;
    @ApiModelProperty(value = "标准")
    String conditions;
    @ApiModelProperty(value = "是否已确认")
    Boolean status;
    @ApiModelProperty(value = "处理信息")
    String processInfo;
    @ApiModelProperty(value = "创建者")
    String userCreate;
    @ApiModelProperty(value = "修改者")
    String userUpdate;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtCreate;
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtUpdate;
    @ApiModelProperty(value = "一体机编号")
    String deviceNo;
}