package com.sw.mes.store.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
@ApiModel(value = "申请入库单返回对象Dto")
public class WarehouseInputReturnDto implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "入库单号")
    private String billNo;
    @ApiModelProperty(value = "库位编码", required = false)
    private String warehouseCode;
    @ApiModelProperty(value = "SAP工厂")
    private String customer;
}