package com.sw.mes.store.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author wupeng
 * @Description //TODO
 * @Date 19:17 2023/7/24
 * @Param
 * @return
 **/
@Data
@ApiModel(value = "仓库结构模型")
public class WarehouseModelDto {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "库位名称")
    private String name;

    @ApiModelProperty(value = "库位编码")
    private String code;

    @ApiModelProperty(value = "父库位ID")
    private Long parentId;

    @ApiModelProperty(value = "父库位名称")
    private String parentName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createUserName;

    @ApiModelProperty(value = "修改人")
    private String updateUserName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "所属厂区")
    private String factoryName;

    @ApiModelProperty(value = "所属厂区id")
    private Long factoryId;

    @ApiModelProperty(value = "所属仓库")
    private String warehouseName;

    @ApiModelProperty(value = "所属仓库id")
    private Long warehouseId;

    @ApiModelProperty(value = "所属库区")
    private String areaName;

    @ApiModelProperty(value = "所属库区id")
    private Long areaId;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "子节点的数量")
    private Integer childSize;

    private static final long serialVersionUID = 1L;
}
