package com.sw.mes.store.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "WMS返回出库单状态Dto")
public class WmsOutputBillDto implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    @NotNull
    @ApiModelProperty(value = "出库单号")
    private String billNo;
    @NotNull
    @ApiModelProperty(value = "状态")
    private String status;
    @NotNull
    @ApiModelProperty(value = "明细对象")
    private List<WmsOutputBillDetailsDto> detailsDtos;
}
