package com.sw.mes.syslog;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@EnableDiscoveryClient
@SpringBootApplication
@EnableFeignClients(basePackages = {"com.sw.mes.core.api.*"})
public class MesSysLogApplication {
    public static void main(String[] args) {
        SpringApplication.run(MesSysLogApplication.class,args);
    }
}
