package com.sw.common.accessory.server.dto;

import lombok.Data;

/**
 * @author zhaowenjie
 */
@Data
public class AccessoryMaterialInfo {
    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 物料类型
     */
    private String materialType;

    /**
     * 物料名称
     */
    private String materialName;

    /**
     * 物料料号
     */
    private String materialCode;


    /**
     * 是否预警
     */
    private Boolean warning;

    /**
     * 预警寿命
     */
    private Double warnTime;

    /**
     * 使用周期，额定寿命
     */
    private Double useLife;

    /**
     * 寿命类型
     */
    private Integer lifeType;

    /**
     * 供应商
     */
    private String supplier;

    /**
     * 规格
     */
    private String specification;
    /**
     * 物料型号
     */
    private String xh;
    /**
     * 物料图号
     */
    private String th;
    /**
     * 物料单位
     */
    private String unit;
}
