package com.sw.common.accessory.server.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "字典词条Dto")
public class DictionaryItemDto {

    private Integer id;
    @ApiModelProperty(value = "名称", required = true)
    String name;
    @ApiModelProperty(value = "值", required = true)
    String value;
    @ApiModelProperty(value = "主题id", required = true)
    Integer themeId;
    @ApiModelProperty(value = "是否生效", required = true)
    Boolean enable;
    @ApiModelProperty(value = "优先级")
    Integer priority;
    @ApiModelProperty(value = "扩展信息1")
    String extendValue;
    @ApiModelProperty(value = "扩展信息2")
    String extendValue1;
    @ApiModelProperty(value = "扩展信息3")
    String extendValue2;
    @ApiModelProperty(value = "创建人id")
    Integer createUserId;
    @ApiModelProperty(value = "创建人姓名")
    String createUserName;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;
}
