package com.sw.mes.auth.service;

import com.sw.mes.auth.domain.AuthRolePermission;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
* @author JS111816
* @description 针对表【auth_role_permission(【系统域—系统管理】角色权限关联表)】的数据库操作Service
* @createDate 2022-05-19 14:21:47
*/
public interface AuthRolePermissionService extends IService<AuthRolePermission> {
    void deleteByRoleId(Integer roleid);

    List<AuthRolePermission> findByRoleId(Integer id);
}
