package com.sw.mes.itemclean.clean.mapper;

import com.sw.mes.itemclean.clean.domain.MaterialStoreSignBox;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 打签箱待存（待扫码领料） Mapper 接口
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Repository
public interface MaterialStoreSignBoxMapper extends BaseMapper<MaterialStoreSignBox> {
    void updateByBoxNo(@Param("materialBoxNo") String materialBoxNo);
}
