package com.sw.mes.fb.accessory.domain;

import com.sw.mes.base.factory.product.entity.FbAccessoryMaterial;
import lombok.Data;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2022/7/5 14:16
 * @description
 */
@Data
public class OrderUpdateBefore {

    /**
     * 料号id前
     */
    Long materialId;

    /**
     * 辅料类型
     */
    String materialType;

    /**
     * 料号
     */
    String materialCode;

    /**
     * 辅料名称
     */
    String materialName;

    /**
     * 物料条码
     */
    String goodsCode;

    /**
     * 额定寿命
     */
    Double useLife;

    /**
     * 已使用时间
     */
    Double useTime;

    /**
     * 剩余寿命
     */
    Double remainLife;

    /**
     * 规格
     */
    String specification;

    /**
     * 厂家
     */
    String factory;
}
