package com.sw.mes.fb.accessory.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2022/7/18 9:21
 * @description
 */
@Data
public class FbAccessoryReportDetailParamDto {
    @ApiModelProperty(value = "标识符")
    String sign;
    @ApiModelProperty(value = "设备号")
    String deviceNo;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "换上时间")
    Date upDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "换下时间")
    Date downDate;
}
