package com.sw.mes.fb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author liuzemin
 * @date 2022/7/18 9:21
 * @description
 */
@Data
public class FbAccessoryReportDto {
    Long id;
    String materialCode; //物料编号
    BigDecimal sumCrystalLength; //单晶累计长度
    String deviceNo; //设备号
    String deviceSeat; //设备位置
    String goodsCode; //唯一码
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date upDate; //换上时间
    String upWorkNo; //换上人工号
    String upUser; //换上人
    String upClassNo; //换上人班次
    String upTeamGroup; //换上人班组
    String specification; //规格
    BigDecimal sumCut; //切割刀数
    BigDecimal sumCount; //加工颗数
    String factory; //厂家
    String remark; //更换原因
    BigDecimal useTime; //已使用寿命
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date downDate; //换下时间
    String downWorkNo; //换下人工号
    String downUser; //换下人
    String  downClassNo; //换下人班次
    String downTeamGroup; //换下人班组
    BigDecimal useLife; //额定寿命
    BigDecimal remainLife; //剩余寿命
    BigDecimal useRate; //利用率
}
