package com.sw.mes.fb.accessory.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * @author liuzemin
 * @date 2022/7/5 10:11
 * @description
 */
@Data
public class FbEquipmentAccessoryUpdateDto {

    @NotNull(message = "辅料监控id")
    @ApiModelProperty(value = "辅料监控id")
    Long id;

    @NotNull(message = "物料条码")
    @ApiModelProperty(value = "物料条码")
    String goodsCode;

    @ApiModelProperty(value = "厂家" )
    String factory;

    @NotNull(message = "辅料id")
    @ApiModelProperty(value = "辅料id")
    Long materialId;

    @ApiModelProperty(value = "使用时间" )
    Double useTime;

    @ApiModelProperty(value = "更换原因")
    String remark;

    @ApiModelProperty(value = "更换时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operateTime;

    @ApiModelProperty(value = "班次")
    String classNo;

    @ApiModelProperty(value = "班组")
    String teamGroup;
}
