package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "截断加工上下料记录Dto")
public class EapCutRecordDto {

    private Long id;
     @ApiModelProperty(value = "截断机编号" )
     String equipNo;
     @ApiModelProperty(value = "长棒SN" )
     String roundSn;
     @ApiModelProperty(value = "上料时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startCut;
     @ApiModelProperty(value = "上料员" )
     String staffUp;
     @ApiModelProperty(value = "下料时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endCut;
     @ApiModelProperty(value = "下料员" )
     String staffDown;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
     @ApiModelProperty(value = "1:炉次 2:单晶 3: 晶段")
     Integer type;
     @ApiModelProperty(value = "物料类型 0：圆棒，1：方棒")
     Integer materialType;
}