package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP磨削工时数据Dto")
public class EapEvolutionBlankingDto {

    private Long id;
     @ApiModelProperty(value = "开方机编号" )
     String equipNo;
     @ApiModelProperty(value = "方棒SN" )
     String sn;
     @ApiModelProperty(value = "开方员工号" )
     String trimmingMan;
     @ApiModelProperty(value = "开方机编号（A01-A/B）" )
     String trimmingNo;
     @ApiModelProperty(value = "开方顺序号" )
     String trimmingOrder;
     @ApiModelProperty(value = "实际长度值" )
     BigDecimal finalLen;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}