package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author wanghao
 * @Date: 2022/6/15
 * @Modified By:
 */
@Data
@ApiModel(value = "获取加工机台信息dto")
public class ProcessingMachineDto {

    /**
     * 方棒SN
     */
    @ApiModelProperty(value = "方棒SN" )
    private String sn;

    /**
     * 磨削机编号
     */
    @ApiModelProperty(value = "磨削机编号" )
    private String equipNo;


    /**
     * 结束磨削时间
     */
    @ApiModelProperty(value = "磨削时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endGrinding;

    /**
     * 磨面顺序号
     */
    @ApiModelProperty(value = "磨面顺序号" )
    private String grindingOrder;

    /**
     * 开方机编号
     */
    @ApiModelProperty(value = "开方机编号" )
    private String kfEquipNo;

    /**
     * 切割结束时间
     */
    @ApiModelProperty(value = "切割时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTrimming;

    /**
     * 开方顺序号
     */
    @ApiModelProperty(value = "开方顺序号" )
    private String trimmingOrder;


}
