package com.sw.mes.fb.checkout.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "表字段扩展Dto")
public class FieldExtensionTableDto {

    private Long id;
     @ApiModelProperty(value = "扩展表" )
     String extendTable;
     @ApiModelProperty(value = "主题名称" )
     String topicName;
     @ApiModelProperty(value = "异常名称" )
     String name;
     @ApiModelProperty(value = "英文名称" )
     String englishName;
     @ApiModelProperty(value = "字段类型" )
     String type;
     @ApiModelProperty(value = "值是否唯一【0：默认，多条;1:唯一;】" )
     Integer onlyFlag;
     @ApiModelProperty(value = "状态说明【0：默认，未处理;1:已处理;】" )
     Integer status;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;

    @ApiModelProperty(value = "序号" )
    Integer orderNo;
}