package com.sw.mes.fb.instoreapply.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.fb.instoreapply.dao.InstoreApplyItemDao;
import com.sw.mes.fb.instoreapply.entity.InstoreApplyItem;
import com.sw.mes.fb.instoreapply.service.InstoreApplyItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class InstoreApplyItemServiceImpl extends BaseServiceImpl<InstoreApplyItem> implements InstoreApplyItemService {
    InstoreApplyItemDao dao;
	@Autowired
    public void setDao(InstoreApplyItemDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<InstoreApplyItem> getItemsByApplyId(Integer applyId){
	    return dao.getItemsByApplyId(applyId);
    }
}
