package com.sw.mes.fb.product.entity;


import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Data
@Entity
@Table(name="zhxx_fb_product_model_view")
public class ProductModelView {
    @Id
    private Integer id;

    /**
     * 产品模型名称
     */
    @Column(length=255)
    private String productModelName;

    /**
     * 大规格产品名称
     */
    @Column(length=255)
    private String bigProductType;

    /**
     * 产品类型名称
     */
    @Column(length=255)
    private String productTypeName;

    /**
     * 产品等级名称
     */
    @Column(length=255)
    private String productLevel;


    /**
     * 产品实验等级
     */
    @Column(length=255)
    private String productLevelExperiment;

    /**
     * 导电型号
     */
    @Column(length=10)
    private String conductiveType;

    /**
     * 单晶直径
     */
    @Column(length=18)
    private BigDecimal crystalDiameter;

    /**
     * 电阻率下限
     */
    @Column(length=18)
    private BigDecimal resistivityMin;

    /**
     * 电阻率上限
     */
    @Column(length=18)
    private BigDecimal resistivityMax;

    /**
     * 边长
     */
    @Column(length=18)
    private BigDecimal sideLength;

    /**
     * 长度下限
     */
    @Column(length=18)
    private BigDecimal lengthMin;

    /**
     * 长度上限
     */
    @Column(length=18)
    private BigDecimal lengthMax;
}
