package com.sw.mes.fb.productChangeRecord.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "产品变更批量Dto")
public class ProductChangeBatchDto {

     @ApiModelProperty(value = "晶段编号" )
     List<String> sectionNoList;
     @ApiModelProperty(value = "变更前晶段编号" )
     String preSectionNo;
     @ApiModelProperty(value = "变更前工单号" )
     String preOrderNo;
     @ApiModelProperty(value = "工单号" )
     String orderNo;
     @ApiModelProperty(value = "变更前工单定向标识" )
     String preZorientationind;
     @ApiModelProperty(value = "工单定向标识" )
     String zorientationind;
     @ApiModelProperty(value = "变更前物料编号" )
     String preMaterialCode;
     @ApiModelProperty(value = "物料编号" )
     String materialCode;
     @ApiModelProperty(value = "变更前物料名称" )
     String preMaterialName;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "变更前等级码" )
     String preLevelCode;
     @ApiModelProperty(value = "等级码" )
     String levelCode;
     @ApiModelProperty(value = "备注" )
     String remark;
     @ApiModelProperty(value = "创建人" )
     String createName;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "产品类型" )
     String simpleName;
     @ApiModelProperty(value = "检验时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date checkTime;
     @ApiModelProperty(value = "当前站点" )
     String processName;

     @ApiModelProperty(value = "变更前批次号" )
     String preBtchNo;

     @ApiModelProperty(value = "批次号" )
     String batchNo;

     @ApiModelProperty(value = "替换标识" )
     String replaceCharacter;
}