package com.sw.mes.fb.turnstore.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.fb.turnstore.entity.RecheckInspectReceive;
import org.springframework.data.jpa.repository.Query;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface RecheckInspectReceiveDao extends BaseDao<RecheckInspectReceive, Integer> {
    /**
     * 根据托号查询退库主表
     *
     * @param trayNo
     * @return
     */
    @Query(value = "select * from fb_recheck_inspect_receive where tray_no = ?1 order by id limit 1",nativeQuery = true)
    RecheckInspectReceive findByTrayNo(String trayNo);
}
