package com.sw.mes.fb.turnstore.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author lf
 * @description
 * @date 2024/2/28 18:54
 */
@Data
@Getter
@Setter
@ApiModel(value = "根据托盘id修改方棒组托状态dto")
public class UpdateStateByTrayIdDto {
    /**
     * 方棒组托id
     */
    @NotNull
    @ApiModelProperty(value = "方棒组托id")
    private String trayId;
    /**
     * 审核结果
     */
    @NotNull
    @ApiModelProperty(value = "审核结果")
    private String state;
    /**
     * 方棒反馈信息
     */
    @NotNull
    @ApiModelProperty(value = "方棒反馈信息")
    private String feedBackPassBackInfo;
}
