package com.sw.mes.fineReport.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.fineReport.entity.FineReportDataFb;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface FineReportDataFbService extends BaseService<FineReportDataFb> {

    /**
     * 根据导入excel的内容，封装成StoreInputItem结果集返回
     * @param file
     * @return
     */
    void readExcelFile(MultipartFile file) throws Exception;

    List<FineReportDataFb> findByModuleAndDateTimeAndEquipmentTypeAndDataType(String module, Date dateTime, String equipmentType, String dataType);
}
