package com.sw.mes.grade.dto;

import com.sw.mes.gread.dto.CalculationResultIfDto;
import com.sw.mes.gread.entity.GradeRule;
import lombok.Data;

import java.util.List;
import java.util.Map;

//
@Data
public class GradeResultDto {
    /**
     * 评级状态
     */
    Boolean gradeStatus;
    /**
     * 评级详细信息
     */
    GradeRule gradeRule;
    /**
     * 评级名称
     */
    String grade;
    /**
     * 评级类型
     */
    Long gradeTypeId;
    /**
     * 评级过程
     */
    List<CalculationResultIfDto> calculationResultIfDtos;
    /**
     * 计算公式的结果
     */
    Map<String,String> resultMap;
}
