package com.sw.mes.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Version 1.0
 * @Author:zbp
 * @Date:2023/7/3 9:28
 * @Content:
 */
@ApiModel(value = "不检测Dto")
@Data
public class NoDetectionDto {
    @ApiModelProperty(value = "方棒编号")
    private String crystalNo;
    @ApiModelProperty(value = "方棒长度")
    private BigDecimal length;
    @ApiModelProperty(value = "导电类型")
    private String conductiveType;
    @ApiModelProperty(value = "规格")
    private String specs;
    @ApiModelProperty(value = "产品等级")
    private String productGrade;
    @ApiModelProperty(value = "产品类型")
    private String productType;
    @ApiModelProperty(value = "评级等级")
    private String gradeType;
    @ApiModelProperty(value = "方棒边长")
    private String sideLengthRange;
    @ApiModelProperty(value = "点位-擦拭机位置")
    private String point;


    @ApiModelProperty(value = "方棒尺寸是否抽检")
    private Boolean isFbSizeCheck;


}
