package com.sw.mes.mcs.dto;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-12 17:46
 */
@Data
@ApiModel(value = "方棒绑定信息下发接口Dto")
public class SquareRankDto {
    @ApiModelProperty(value = "晶段编号")
    String sectionNo;
    @ApiModelProperty(value = "产品等级")
    String productRank;
    @ApiModelProperty(value = "实验等级")
    String testRank;
    @ApiModelProperty(value = "1：复检")
    String reCheck;
    @ApiModelProperty(value = "是否抽检")
    Boolean isFbSizeCheck;

    String orderNo;
    String specification;
    String conductiveType;
    String productGrade;
    String productType;
    String gradeType;
    BigDecimal length;
    String sideLengthRange;

}
