//package com.sw.mes.mcs.dto;
//
//import com.fasterxml.jackson.annotation.JsonFormat;
//import io.swagger.annotations.ApiModel;
//import io.swagger.annotations.ApiModelProperty;
//import lombok.Data;
//
//import java.math.BigDecimal;
//import java.util.Date;
//
///**
// * 短棒检验信息
// * @Author: GaoXinJian
// * @Date: 2022-01-13 14:10
// */
//@ApiModel(value = "圆棒检测结果上传Dto")
//@Data
//public class YbCheckResultDto {
//
//    @ApiModelProperty(value = "电阻率设备编号" )
//    String resistivityDeviceNo;
//    @ApiModelProperty(value = "少子寿命设备编号" )
//    String lifeDeviceNo;
//    @ApiModelProperty(value = "晶棒编号" )
//    String sectionNo;
////复检类型：判断复检次数；根据单晶编号查询圆棒退库明细，有几条复检就是几次复检
////    @ApiModelProperty(value = "复检类型" )
////    String reCheckType;
//
////    @ApiModelProperty(value = "检验类型" )
////    String checkoutName;
//    @ApiModelProperty(value = "导电型号(P,N,P/N)" )
//    String conductiveType;
//
//    @ApiModelProperty(value = "圆棒长度mm" )
//    BigDecimal actualLength;
//    @ApiModelProperty(value = "重量" )
//    BigDecimal actualWeight;
//    @ApiModelProperty(value = "直径Min" )
//    BigDecimal diameterMin;
//    @ApiModelProperty(value = "直径Max" )
//    BigDecimal diameterMax;
//
//    @ApiModelProperty(value = "细总长" )
//    BigDecimal fineDiameter;
//    @ApiModelProperty(value = "细减长" )
//    BigDecimal fineCutLength;
//    @ApiModelProperty(value = "头斜" )
//    BigDecimal headSlope;
//    @ApiModelProperty(value = "尾斜" )
//    BigDecimal tailSlope;
//
//    @ApiModelProperty(value = "孪晶长度" )
//    BigDecimal twinLength;
//    @ApiModelProperty(value = "裂纹" )
//    BigDecimal crack;
//    @ApiModelProperty(value = "崩边长度" )
//    BigDecimal edgeBark;
//    @ApiModelProperty(value = "崩晶线" )
//    BigDecimal collapseLine;
//    @ApiModelProperty(value = "晶线分叉【0：默认，否；1：是；】" )
//    Integer isFork;
//    //头斜或尾斜有值就是，没有否
////    @ApiModelProperty(value = "斜【0：默认，否；1：是；】" )
////    Integer isBevel;
//    @ApiModelProperty(value = "扭" )
//    BigDecimal distortion;
//
//    @ApiModelProperty(value = "径向电阻率T中心点" )
//    BigDecimal tRadialCentre;
//    @ApiModelProperty(value = "径向电阻率T边缘1" )
//    BigDecimal tRadialEdge1;
//    @ApiModelProperty(value = "径向电阻率T边缘2" )
//    BigDecimal tRadialEdge2;
//    @ApiModelProperty(value = "径向电阻率T边缘3" )
//    BigDecimal tRadialEdge3;
//    @ApiModelProperty(value = "径向电阻率T边缘4" )
//    BigDecimal tRadialEdge4;
//    @ApiModelProperty(value = "径向电阻率W中心点" )
//    BigDecimal wRadialCentre;
//    @ApiModelProperty(value = "径向电阻率W边缘1" )
//    BigDecimal wRadialEdge1;
//    @ApiModelProperty(value = "径向电阻率W边缘2" )
//    BigDecimal wRadialEdge2;
//    @ApiModelProperty(value = "径向电阻率W边缘3" )
//    BigDecimal wRadialEdge3;
//    @ApiModelProperty(value = "径向电阻率W边缘4" )
//    BigDecimal wRadialEdge4;
//
//    @ApiModelProperty(value = "T中心寿命" )
//    BigDecimal tCentreLife;
//    @ApiModelProperty(value = "T边缘寿命1" )
//    BigDecimal tLifeEdge1;
//    @ApiModelProperty(value = "T边缘寿命2" )
//    BigDecimal tLifeEdge2;
//    @ApiModelProperty(value = "T边缘寿命3" )
//    BigDecimal tLifeEdge3;
//    @ApiModelProperty(value = "T边缘寿命4" )
//    BigDecimal tLifeEdge4;
//    @ApiModelProperty(value = "T边缘寿命5" )
//    BigDecimal tLifeEdge5;
//    @ApiModelProperty(value = "T边缘寿命6" )
//    BigDecimal tLifeEdge6;
//    @ApiModelProperty(value = "T边缘寿命7" )
//    BigDecimal tLifeEdge7;
//    @ApiModelProperty(value = "T边缘寿命8" )
//    BigDecimal tLifeEdge8;
//    @ApiModelProperty(value = "W中心寿命" )
//    BigDecimal wCentreLife;
//    @ApiModelProperty(value = "W边缘寿命1" )
//    BigDecimal wLifeEdge1;
//    @ApiModelProperty(value = "W边缘寿命2" )
//    private BigDecimal wLifeEdge2;
//    @ApiModelProperty(value = "W边缘寿命3" )
//    BigDecimal wLifeEdge3;
//    @ApiModelProperty(value = "W边缘寿命4" )
//    BigDecimal wLifeEdge4;
//    @ApiModelProperty(value = "W边缘寿命5" )
//    BigDecimal wLifeEdge5;
//    @ApiModelProperty(value = "W边缘寿命6" )
//    BigDecimal wLifeEdge6;
//    @ApiModelProperty(value = "W边缘寿命7" )
//    BigDecimal wLifeEdge7;
//    @ApiModelProperty(value = "W边缘寿命8" )
//    BigDecimal wLifeEdge8;
//    @ApiModelProperty(value = "检验人员：设备自检" )
//    String inspector;
//    @ApiModelProperty(value = "托盘号" )
//    String code;
//    @ApiModelProperty(value = "温度" )
//    BigDecimal tempValue;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T中心点" )
////    BigDecimal tTempRadialCentre;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘1" )
////    BigDecimal tTempRadialEdge1;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘2" )
////    BigDecimal tTempRadialEdge2;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘3" )
////    BigDecimal tTempRadialEdge3;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘4" )
////    BigDecimal tTempRadialEdge4;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘5" )
////    BigDecimal tTempRadialEdge5;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘6" )
////    BigDecimal tTempRadialEdge6;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘7" )
////    BigDecimal tTempRadialEdge7;
////    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘8" )
////    BigDecimal tTempRadialEdge8;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W中心点" )
////    BigDecimal wTempRadialCentre;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘1" )
////    BigDecimal wTempRadialEdge1;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘2" )
////    BigDecimal wTempRadialEdge2;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘3" )
////    BigDecimal wTempRadialEdge3;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘4" )
////    BigDecimal wTempRadialEdge4;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘5" )
////    BigDecimal wTempRadialEdge5;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘6" )
////    BigDecimal wTempRadialEdge6;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘7" )
////    BigDecimal wTempRadialEdge7;
////    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘8" )
////    BigDecimal wTempRadialEdge8;
//
//
//
//}
