package com.sw.mes.wms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @Author wanghao
 * @Date: 2022/4/30
 * @Modified By:
 */
@Data
@ApiModel(value = "拼棒方棒解锁锁定接口")
public class OrderLockDto {
    @NotEmpty(message="晶棒SN不能为空")
    @ApiModelProperty(value = "晶棒SN,多条 “,” 隔开")
    String roundSns;
    @NotNull
    @ApiModelProperty(value = "状态 1锁定0解锁")
    Integer lock;
}
