package com.sw.mes.crucible.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/1/8 13:58
 */
@Data
@ApiModel(value = "新增坩埚定投管理dto")
public class CrucibleFixedCastingSaveDto {
    private Integer id;
    @ApiModelProperty("设备id")
    private List<Integer> equipmentId;
    @ApiModelProperty("料号")
    private String code;
    @ApiModelProperty("定投类型")
    private String fixedCastingType;
    @ApiModelProperty("定投炉数")
    private Integer fixedCastingNumber;
    @ApiModelProperty("完成数量")
    private Integer completeNumber;
    @ApiModelProperty("尺寸")
    private String dimension;
    @ApiModelProperty("品类")
    private String category;
    @ApiModelProperty("等级")
    private String level;
    @ApiModelProperty("厂家")
    private String manufacturer;
    @ApiModelProperty("高度")
    private String height;
    @ApiModelProperty("满锅料量")
    private String fullPotCapacity;
}
