package com.sw.mes.dingTalk.dto;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author lf
 * @description 机器人发送消息给个人dto
 * @date 2024/3/18 9:42
 */
@Data
@Getter
@Setter
public class SeedIndividualMessageDto {
    /**
     * 发送的消息
     */
    private String content;
    /**
     * 机器人使用场景
     */
    private List<String> scene;
    /**
     * 消息来源
     */
    private String source;
    /**
     * userId
     */
    private List<String> userIdList;
}
