package com.sw.mes.inspect.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 圆棒pda自动 和 人工数据冗和 DTO
 */
@Data
public class YbInspectDataPdaAutomaticDto {
    private Long id;
    @ApiModelProperty(value = "晶段编号")
    String sectionNo;
    @ApiModelProperty(value = "单晶编号")
    String crystalNo;
    @ApiModelProperty(value = "单晶段号")
    private Integer piecewiseNum;
    @ApiModelProperty(value = "A电阻率均值")
    private BigDecimal meanResistivityA;
    @ApiModelProperty(value = "A电阻率1")
    private BigDecimal resistivityAOne;
    @ApiModelProperty(value = "A电阻率2")
    private BigDecimal resistivityATwo;
    @ApiModelProperty(value = "A电阻率3")
    private BigDecimal resistivityAThree;
    @ApiModelProperty(value = "B电阻率均值")
    private BigDecimal meanResistivityB;
    @ApiModelProperty(value = "B电阻率1")
    private BigDecimal resistivityBOne;
    @ApiModelProperty(value = "B电阻率2")
    private BigDecimal resistivityBTwo;
    @ApiModelProperty(value = "B电阻率3")
    private BigDecimal resistivityBThree;
    @ApiModelProperty(value = "T段电阻率")
    private BigDecimal tResistivity;
    @ApiModelProperty(value = "w段电阻率")
    private BigDecimal wResistivity;
    @ApiModelProperty(value = "操作人员")
    private String userName;
}
