package com.sw.mes.kanban.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "KanbanDeviceDto")
public class KanbanDeviceDto {

    private Long id;
     @ApiModelProperty(value = "设备编号" )
     String deviceNo;
     @ApiModelProperty(value = "设备名称" )
     String deviceName;
     @ApiModelProperty(value = "IP" )
     String deviceIp;
     @ApiModelProperty(value = "MAC" )
     String deviceMac;
     @ApiModelProperty(value = "IMEI" )
     String deviceImei;
     @ApiModelProperty(value = "接入时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
     @ApiModelProperty(value = "在线状态" )
     Boolean onlineStatus;
     @ApiModelProperty(value = "上一个显示页面" )
     String prePage;
     @ApiModelProperty(value = "当前显示页面" )
     String curPage;
     @ApiModelProperty(value = "下一个显示页面" )
     String nextPage;
     @ApiModelProperty(value = "页面刷新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date pageUpdateTime;
     @ApiModelProperty(value = "当前页显示时长" )
     Long curShowTime;
}