package com.sw.mes.outside.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.outside.entity.DeviceStopStoveInfo;
import com.sw.mes.outside.dao.DeviceStopStoveInfoDao;
import com.sw.mes.outside.service.DeviceStopStoveInfoService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class DeviceStopStoveInfoServiceImpl extends BaseServiceImpl<DeviceStopStoveInfo> implements DeviceStopStoveInfoService {
    DeviceStopStoveInfoDao dao;
	@Autowired
    public void setDao(DeviceStopStoveInfoDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public DeviceStopStoveInfo findByDeviceNo(String deviceNo) {
        return dao.findByDeviceNo(deviceNo);
    }
}
