package com.sw.mes.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "产品配方重量明细Dto")
public class FormulaProductSchemeWeightDetailDto {

    private Long id;
     @ApiModelProperty(value = "产品配方ID" , required = true)
     Long formulaProductSchemeId;
     @ApiModelProperty(value = "重量方案ID" , required = true)
     Long weightSchemeId;
     @ApiModelProperty(value = "重量方案名称" , required = true)
     String weightSchemeName;
     @ApiModelProperty(value = "报料范围上限" , required = true)
     BigDecimal scopeUpper;
     @ApiModelProperty(value = "报料范围下限" , required = true)
     BigDecimal scopeLower;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "状态(0:异常, 1:正常)" )
     Integer status;
}