package com.sw.mes.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "前置备料规则Dto")
public class MaterialPreparationRulesDto {

    private Long id;
     @ApiModelProperty(value = "设备号" , required = true)
     String equipmentCode;
     @ApiModelProperty(value = "等径长度" )
     BigDecimal length;
     @ApiModelProperty(value = "复投总重量" )
     BigDecimal repeatWeight;
     @ApiModelProperty(value = "创建人" )
     String userCreate;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
     @ApiModelProperty(value = "修改人" )
     String userUpdate;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtUpdate;
}