package com.sw.mes.production.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.persistence.Column;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "截断反切Dto")
public class TruncationReccutDto {
    @ExcelIgnore
    private Long id;
    @ExcelProperty(value = "单晶编号", index = 0)
    @ApiModelProperty(value = "单晶编号")
    String crystalNo;
    @ExcelProperty(value = "设备号", index = 1)
    @ApiModelProperty(value = "设备号")
    String equipmentCode;
    @ExcelProperty(value = "规格", index = 2)
    @ApiModelProperty(value = "规格")
    String specs;
    @ExcelProperty(value = "反切长度", index = 3)
    @ApiModelProperty(value = "反切长度")
    Integer cutLenght;
    @ExcelIgnore
    @ApiModelProperty(value = "单晶id")
    Long crysatlId;
    @ExcelProperty(value = "反切刀数", index = 4)
    @ApiModelProperty(value = "反切刀数")
    Integer cutNum;
    @ExcelProperty(value = "反切原因", index = 5)
    @ApiModelProperty(value = "反切原因")
    String cause;
    @ExcelProperty(value = "操作人", index = 6)
    @ApiModelProperty(value = "创建人")
    String userCreate;
    @ExcelProperty(value = "操作时间", index = 7)
    @ApiModelProperty(value = "创建时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtCreate;
}