package com.sw.mes.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.production.entity.FormulaProductSchemeWeightDetail;

import java.math.BigDecimal;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface FormulaProductSchemeWeightDetailService extends BaseService<FormulaProductSchemeWeightDetail> {

    /**
     * 删除明细
     * @param fpsId
     */
    void deleteByFpsId(Long fpsId);

    /**
     * 根据产品配方ID查询
     * @param fpsId
     * @return
     */
    List<FormulaProductSchemeWeightDetail> getListByFpsId(Long fpsId);

    /**
     * 根据产品配方ID和报料范围查询
     * @param fpsId
     * @param weight
     * @return
     */
    FormulaProductSchemeWeightDetail findByFpsIdAndScope(Long fpsId, BigDecimal weight);

}
