package	com.sw.mes.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.production.entity.FormulaWeightScheme;
import com.sw.mes.production.dao.FormulaWeightSchemeDao;
import com.sw.mes.production.service.FormulaWeightSchemeService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class FormulaWeightSchemeServiceImpl extends BaseServiceImpl<FormulaWeightScheme> implements FormulaWeightSchemeService {
    FormulaWeightSchemeDao dao;
	@Autowired
    public void setDao(FormulaWeightSchemeDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public FormulaWeightScheme findByName(String name) {
        return dao.findByName(name);
    }
}
