package com.sw.mes.production.service.impl;


import com.alibaba.fastjson.JSON;
import com.sw.mes.base.factory.inspect.entity.DocumentPrint;
import com.sw.mes.base.factory.inspect.service.DocumentPrintService;
import com.sw.mes.base.system.service.impl.PrintService;
import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.core.dto.PrintInfoDto;
import com.sw.mes.core.response.Result;
import com.sw.mes.core.response.ResultCode;
import com.sw.mes.production.dao.ProductionAgainTaskRecipeDao;
import com.sw.mes.production.dao.TruncationReccutDao;
import com.sw.mes.production.entity.ProductionAgainTaskRecipe;
import com.sw.mes.production.entity.TruncationReccut;
import com.sw.mes.production.entity.TruncationReccutDetails;
import com.sw.mes.production.service.ProductionAgainTaskRecipeService;
import com.sw.mes.production.service.TruncationReccutDetailsService;
import com.sw.mes.production.service.TruncationReccutService;
import com.sw.mes.yb.production.entity.LongCrystal;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class ProductionAgainTaskRecipeServiceImpl extends BaseServiceImpl<ProductionAgainTaskRecipe> implements ProductionAgainTaskRecipeService {
    ProductionAgainTaskRecipeDao dao;

    @Autowired
    public void setDao(ProductionAgainTaskRecipeDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }


    @Override
    public List<ProductionAgainTaskRecipe> findByAgainTaskId(Long againTaskId) {
        return dao.findByAgainTaskId(againTaskId);
    }
}
