package com.sw.mes.sap.dto.jip;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * 晶科JIP接口头部信息文件
 * 接口唯一标识
 * 接口描述
 * 报文唯一标识，由系统自动生成32位UUID
 * 数据唯一标识
 * 3位流水编号
 * 业务类型
 * 发送日期
 * 发送方
 * 接受方
 * 通用字段1
 * 通用字段2
 * 通用字段3
 * 通用字段4
 * 通用字段5
 */
@Data
public class JipIsBcInfoDto {
    @JsonProperty("IFID")
    private String IFID;
    @JsonProperty("UUID")
    private String UUID;
    @JsonProperty("MSGID")
    private String MSGID;
    @JsonProperty("RESEND_ID")
    private String RESEND_ID;
    @JsonProperty("BUSTYP")
    private String BUSTYP;
    @JsonProperty("IFNAME")
    private String IFNAME;
    @JsonProperty("SEND_DT")
    private String SEND_DT;
    @JsonProperty("SENDER")
    private String SENDER;
    @JsonProperty("RECEIVER")
    private String RECEIVER;
    @JsonProperty("TEXT1")
    private String TEXT1;
    @JsonProperty("TEXT2")
    private String TEXT2;
    @JsonProperty("TEXT3")
    private String TEXT3;
    @JsonProperty("TEXT4")
    private String TEXT4;
    @JsonProperty("TEXT5")
    private String TEXT5;
}
