package com.sw.mes.sap.dto.migo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * RECORD_ID : JOWL00003882
 * PLANT : 1301
 * PRODUCTION_ORDER_ID : 30802007
 * GI_COMP_ID : 21000940
 * GI_COMP_QTY : 60.800
 * GI_COMP_UOM : KG
 * GI_COMP_BATCH : 23CB362151
 * GI_COMP_STORAGE : P001
 * GI_DATE : 20231219
 * MESSAGE : null
 * CREATE_DATE : 20231219
 * DataFlag : null
 * OTHER1 : 780
 * OTHER2 : QBNA23CB362151NDB
 * OTHER3 : null
 * OTHER4 : null
 * OTHER5 : null
 */
@Data
public class WorkOrderConsumptionDto {


    @JsonProperty("RECORD_ID")
    private String RECORD_ID;
    @JsonProperty("PLANT")
    private String PLANT;
    @JsonProperty("PRODUCTION_ORDER_ID")
    private String PRODUCTION_ORDER_ID;
    @JsonProperty("GI_COMP_ID")
    private String GI_COMP_ID;
    @JsonProperty("GI_COMP_QTY")
    private String GI_COMP_QTY;
    @JsonProperty("GI_COMP_UOM")
    private String GI_COMP_UOM;
    @JsonProperty("GI_COMP_BATCH")
    private String GI_COMP_BATCH;
    @JsonProperty("GI_COMP_STORAGE")
    private String GI_COMP_STORAGE;
    @JsonProperty("GI_DATE")
    private String GI_DATE;
    @JsonProperty("MESSAGE")
    private Object MESSAGE;
    @JsonProperty("CREATE_DATE")
    private String CREATE_DATE;
    @JsonProperty("DataFlag")
    private Object DataFlag;
    @JsonProperty("OTHER1")
    private String OTHER1;
    @JsonProperty("OTHER2")
    private String OTHER2;
    @JsonProperty("OTHER3")
    private Object OTHER3;
    @JsonProperty("OTHER4")
    private Object OTHER4;
    @JsonProperty("OTHER5")
    private Object OTHER5;

}
