package com.sw.mes.sap.reconciliation.framework;

/**
 * 扫表数据处理接口
 *
 * @Author：wanjia
 * @Date：2024/2/28 20:43
 */
@FunctionalInterface
public interface ScanDataQueue<R> {

    /**
     * 将扫表的数据提交到处理队列中，底层会直接取根据data的queryKey去不同的数据源抓取数据
     *
     * @param data 扫表扫上来的记录
     */
    void submit(R data);
}
