package com.sw.mes.sap.service;

import java.util.List;

import com.sw.mes.core.dto.wms.ReportSapWorkinghoursDto;
import com.sw.mes.sap.entity.ReportSapWorkinghours;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.core.annotation.Jinko;

/**
 * MES报工SAP工时接口Service接口
 *
 * @author liru
 * @date 2024-01-07
 */
@Jinko(value="MES报工SAP工时接口Service接口",author = "liru")
public interface ReportSapWorkinghoursService extends BaseService<ReportSapWorkinghours>
{

    List<Result> sendReportWord(Long[] ids,String sendType);

    ReportSapWorkinghours findByRemarkAndProcName(String remark, String procName);

    List<ReportSapWorkinghoursDto> findByRemarkAndProcNameAndCrystalNo(String remark, String procName, String crystalNo);

	Long getSendSapLog(String aUFNR);
}
