package com.sw.mes.sap.service;

import java.util.List;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.sap.entity.WarehouseLocation;

/**
 * 晶科库存位置信息Service接口
 * 
 * @author liru
 * @date 2024-01-02
 */
@Jinko(value="晶科库存位置信息Service接口",author = "liru")
public interface WarehouseLocationService extends BaseService<WarehouseLocation>
{

    WarehouseLocation findByWerksAndLgort(String werks, String lgort);

	List<WarehouseLocation> findAllPWarehouse();
}
