package com.sw.mes.wms.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "报工->wms记录表Dto")
public class ReportWmsRecordDto {

    private Integer id;
     @ApiModelProperty(value = "编号" )
     String no;
     @ApiModelProperty(value = "1毛棒 2圆晶段" )
     Integer type;
     @ApiModelProperty(value = "1报工成功  0报工失败" )
     Integer status;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "创建人" )
     String createUser;
     @ApiModelProperty(value = "单据号" )
     String planNo;
     @ApiModelProperty(value = "料号" )
     String materialNo;
     @ApiModelProperty(value = "数量" )
     BigDecimal materialQty;
     @ApiModelProperty(value = "规格" )
     String specification;
     @ApiModelProperty(value = "单位" )
     String unit;
     @ApiModelProperty(value = "总长度" )
     BigDecimal length;
     @ApiModelProperty(value = "总重量" )
     BigDecimal width;
     @ApiModelProperty(value = "备注" )
     String remark;
    @ApiModelProperty(value = "失败原因" )
    private String reason;
}