package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "热场接口调用日志Dto")
public class AccessoryLogDto {

    private Integer id;
     @ApiModelProperty(value = "请求内容" )
     String content;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "用户id" )
     Integer createUserId;
     @ApiModelProperty(value = "用户名称" )
     String createUserName;
     @ApiModelProperty(value = "方法名" )
     String methodName;
     @ApiModelProperty(value = "日志名称" )
     String name;
     @ApiModelProperty(value = "返回结果" )
     String result;
     @ApiModelProperty(value = "日志类型：info,error,warn,trace" )
     String type;
}