package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "辅料退库反馈Dto")
public class AccessoryReturnFeedbackDto extends SpareDto {

     private Integer id;

     @NotNull(message = "退料单号不能空")
     @ApiModelProperty(value = "退料单号" )
     String orderNum;
     @ApiModelProperty(value = "拒收原因" )
     String rejectionReason;
     @ApiModelProperty(value = "拒收人" )
     String rejectionUser;
     @ApiModelProperty(value = "拒收时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date rejectionDate;
     @NotNull(message = "退料类型（1：成功；2：拒收）不能空")
     @ApiModelProperty(value = "类型（1：成功；2：拒收）" )
     Integer type;
}