package com.sw.mes.yb.accessory.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "更换辅料监控dto")
public class EquipAccessUpdateDto {

    @ApiModelProperty(value = "监控ID")
    private Long id;

    @ApiModelProperty(value = "热场条码")
    private String goodsCode;

    @ApiModelProperty(value = "批次号")
    private String batchNo;

    @ApiModelProperty(value = "有效运行时间寿命")
    private Double useTime;

    @ApiModelProperty(value = "更换数量")
    private Integer count;

    @ApiModelProperty(value = "更换原因")
    private String reason;

    @ApiModelProperty("刻码")
    private String engraving;

    @ApiModelProperty("碳毡")
    private String carbonFelt;

    @ApiModelProperty("辅料类型")
    private String accessoryType;

    @ApiModelProperty("备注")
    private String remark;

}
