package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2021/12/8 13:03
 * @description
 */
@Data
public class EquipmentAccessoryParmDto {
    @ApiModelProperty(value = "区域/模块")
    String area;
    @ApiModelProperty(value = "序列")
    String series;
    @ApiModelProperty(value = "设备编号")
    String deviceNo;
    @ApiModelProperty(value = "物料号")
    String mcode;
    @ApiModelProperty(value = "热场条码")
    String goodsCode;
    @ApiModelProperty(value = "已使用时间")
    Double useTime;
    @ApiModelProperty(value = "厂家")
    String factory;
    @ApiModelProperty(value = "开始更换时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date startOperateDate;
    @ApiModelProperty(value = "结束更换时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date endOperateDate;
    @ApiModelProperty("数量")
    String num;
    @ApiModelProperty("批次号")
    String batchNo;
}
