package com.sw.mes.yb.alloy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lf
 * @description
 * @date 2024/2/23 10:25
 */
@Data
@ApiModel(value = "根据炉台号查询复投次数dto")
public class FurnaceCodeDto {
    /**
     * 炉台号
     */
    @ApiModelProperty("炉台号")
    private String furnaceCode;
    /**
     * 炉次号
     */
    @ApiModelProperty("炉次号")
    private String lotNo;
    /**
     * 复投次数
     */
    @ApiModelProperty("复投次数")
    private Integer addTime;

}
