package com.sw.mes.yb.alloy.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "原料档位Dto")
public class RawMaterialLevelDto {

    private Integer id;
    @ExcelProperty(value = "物料号")
    @ApiModelProperty(value = "物料号", required = true)
    String materialCode;
    @ExcelProperty(value = "物料名称")
    @ApiModelProperty(value = "物料名称")
    String materialName;
    @ExcelProperty(value = "电阻档位")
    @ApiModelProperty(value = "电阻档位")
    String resistanceGear;
    @ExcelProperty(value = "电阻值")
    @ApiModelProperty(value = "电阻值")
    BigDecimal resistanceValue;
    @ApiModelProperty(value = "创建人")
    private String createUser;
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    @ApiModelProperty(value = "修改人")
    private String updateUser;
    @ApiModelProperty(value = "修改时间")
    private Date updateDate;
}