package com.sw.mes.yb.check.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "单晶异常管理Dto")
public class ExceptManageDto {

    private Long id;
     @ApiModelProperty(value = "具体类型" )
     String detailType;
     @ApiModelProperty(value = "设备编号" )
     String deviceNo;
     @ApiModelProperty(value = "异常等级：一级；二级" )
     String exceptionGrade;
     @ApiModelProperty(value = "异常类型" )
     String exceptionType;
     @ApiModelProperty(value = "原因分类" )
     String causeClassification;
     @ApiModelProperty(value = "责任工序" )
     String dutyProcess;
     @ApiModelProperty(value = "区域" )
     String area;
     @ApiModelProperty(value = "区域1" )
     String areaOne;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "班次" )
     String classesName;
     @ApiModelProperty(value = "班组" )
     String teamName;
     @ApiModelProperty(value = "直接责任人" )
     String personLiable;
     @ApiModelProperty(value = "负责人" )
     String responsiblePerson;
     @ApiModelProperty(value = "石英坩埚厂家" )
     String quartzCrucibleManufacturer;
     @ApiModelProperty(value = "坩埚材质" )
     String crucibleMaterial;
     @ApiModelProperty(value = "运行时间" )
     BigDecimal runTime;
     @ApiModelProperty(value = "剩料重量" )
     BigDecimal residualWeight;
     @ApiModelProperty(value = "拉晶情况" )
     String crystalInfo;
     @ApiModelProperty(value = "运行异常描述" )
     String operationExceptionDescription;
     @ApiModelProperty(value = "原因分析" )
     String reasonAnalysis;
     @ApiModelProperty(value = "措施" )
     String measure;
     @ApiModelProperty(value = "分析报告" )
     String analysisReport;
     @ApiModelProperty(value = "分析人" )
     String analyst;
     @ApiModelProperty(value = "目标投料量" )
     BigDecimal targetMaterialsInput;
     @ApiModelProperty(value = "实际投料量" )
     BigDecimal actualMaterialsInput;
     @ApiModelProperty(value = "用料配比" )
     BigDecimal ratioMaterials;
     @ApiModelProperty(value = "发生时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date occurredTime;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "操作日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date operateDate;
     @ApiModelProperty(value = "备注" )
     String remark;
     @ApiModelProperty(value = "创建人ID" )
     String userId;
     @ApiModelProperty(value = "创建人" )
     String userName;
     @ApiModelProperty(value = "工号" )
     String workNo;
     @ApiModelProperty(value = "备注" )
     String beiZhu;
     @ApiModelProperty(value = "异常记录状态：2:已停炉" )
     Integer recordStatus;
     @ApiModelProperty(value = "修改人")
     private String updateUser;
     @ApiModelProperty(value = "修改时间")
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date updateTime;
}