package com.sw.mes.yb.check.entity.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "PieceCheckTemplateDto")
public class PieceCheckTemplateDto {

     @ApiModelProperty(value = "载具号" )
     @ExcelProperty("载具号")
     String batchNo;
     @ApiModelProperty(value = "样片编号" )
     @ExcelProperty("样片编号")
     String pieceNo;
     @ApiModelProperty(value = "是否返切" )
     @ExcelProperty("是否返切")
     String backCut;
     @ApiModelProperty(value = "母单晶编号" )
     @ExcelProperty("母单晶编号")
     String motherCrystalNo;
     @ApiModelProperty(value = "炉次号" )
     @ExcelProperty("炉次号")
     String lotNo;
     @ApiModelProperty(value = "设备编号" )
     @ExcelProperty("设备编号")
     String deviceNo;
     @ApiModelProperty(value = "碳含量中心" )
     @ExcelProperty("碳含量中心")
     BigDecimal cContents;
     @ApiModelProperty(value = "氧含量中心" )
     @ExcelProperty("氧含量中心")
     BigDecimal oContents;
     @ApiModelProperty(value = "样片厚度" )
     @ExcelProperty("样片厚度")
     BigDecimal thickness;
     @ApiModelProperty(value = "备注" )
     @ExcelProperty("备注")
     String remark2;
     @ApiModelProperty(value = "碳氧检验人" )
     @ExcelProperty("碳氧检验人")
     String userName2;
     @ApiModelProperty(value = "检验时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @ExcelProperty("检验时间")
     Date checkTime2;
}