package com.sw.mes.yb.deviceCheck.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒-拆清点检时间接收表Dto")
public class DeviceCheckTimeRecordDto {

    private Integer id;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "拆清开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date dismantleStartTime;
     @ApiModelProperty(value = "拆清结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date dismantleEndTime;
     @ApiModelProperty(value = "设备号" )
     String deviceNo;
}