package com.sw.mes.yb.deviceCheck.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "设备点检DTO")
public class SpotCheckItemDto {

    private Integer id;

    @ApiModelProperty(value = "顺序")
    private String priority;

    @ApiModelProperty(value = "点检名称")
    private String checkName;

    @ApiModelProperty(value = "点检标准")
    private String standard;

    @ApiModelProperty(value = "大清/小清")
    private String cleanFlag;

    @ApiModelProperty(value = "大类ID")
    private String parentId;

    @ApiModelProperty(value = "大类项目")
    private String parent;

    @ApiModelProperty(value = "是否必检")
    private Boolean required;

    @ApiModelProperty(value = "检验结果1")
    private Boolean result1;

    @ApiModelProperty(value = "检验结果2")
    private Boolean result2;

    @ApiModelProperty(value = "检验结果3")
    private Boolean result3;
}
