package com.sw.mes.yb.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-14 13:38
 */
@ApiModel(value = "绑定接收信息上传")
@Data
public class BindingInfoDto {
    @ApiModelProperty(value = "时间戳")
    @NotNull(message = "时间戳，不能为空")
    Long transactionId;
    @ApiModelProperty(value = "长晶棒编号")
    String crystalNo;
    @ApiModelProperty(value = "托盘编号")
    String trayCode;
    @ApiModelProperty(value = "圆棒编号")
    String ybSectionNo;
    @ApiModelProperty(value = "单晶朝向")
    String orientation;
    @ApiModelProperty(value = "截断机编号")
    String cutNo;
}
