package com.sw.mes.yb.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ApiModel("头尾料/样片装车上传接口Dto")
@Data
public class RecycledMaterialToAGVDto {

    @ApiModelProperty(value = "车间号(5,6)")
    String area;
    @ApiModelProperty(value = "接口名称")
    String mode;
    @ApiModelProperty(value = "载具车号")
    String pailNum;
    @ApiModelProperty(value = "载具车上工位号")
    String locationNo;
    @ApiModelProperty(value = "地码编号")
    String landmarkCode;
    @ApiModelProperty(value = "单晶编号")
    private String sectionNo;
    @ApiModelProperty(value = "回收料类型(回收料,样片)")
    String materialType;
}
