package com.sw.mes.yb.mcs.dao;


import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.mcs.entity.SegmentBindInfo;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
* @author JS111801
* @description 针对表【segment_bind_info(晶段线体绑定记录表)】的数据库操作Mapper
* @createDate 2023-09-08 09:24:16
* @Entity generator.domain.SegmentBindInfo
*/
public interface SegmentBindInfoDao extends BaseDao<SegmentBindInfo,Long> {

    @Query(value = "SELECT * FROM segment_bind_info where segment_no=?1 ", nativeQuery = true)
    List<SegmentBindInfo> findBysegmentNo(String segmentNo);

}
