package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-12 17:30
 */
@Data
@ApiModel(value = "分选口规格配置信息下发接口Dto")
public class BlankConfigDto {


    @ApiModelProperty(value = "下料分支编号")
    String blankNo;
    @ApiModelProperty(value = "订单编号")
    String orderNo;
    @ApiModelProperty(value = "原料料号")
    String productNo;
    @ApiModelProperty(value = "产品规格")
    String productType;
    @ApiModelProperty(value = "导电型号")
    String conductiveType;
    @ApiModelProperty(value = "边长")
    String sideLength;
    @ApiModelProperty(value = "掺杂剂")
    Boolean mix;
    @ApiModelProperty(value = "锁定，值为false时动态发料")
    Boolean locked;
    @ApiModelProperty(value = "产品等级（英文“,”隔开）")
    String ranks;
    @ApiModelProperty(value = "最小长度，>0有效，包含")
    Double minLen;
    @ApiModelProperty(value = "最大长度")
    Double maxLen;
    @ApiModelProperty(value = "拼数")
    String spell;

}
