package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author wanghao
 * @Date: 2022/4/1
 * @Modified By:
 */
@Data
@ApiModel(value = "圆棒订单匹配接口返回Dto")
public class SquareOrderMesResultDto {
    @ApiModelProperty(value = "圆棒SN")
    String sectionNo;
    @ApiModelProperty(value = "方棒订单编号")
    String orderNo;
    @ApiModelProperty(value = "产品等级（“TYPE_R”时特殊处理")
    String productRank;
    @ApiModelProperty(value = "实验等级")
    String testRank;
    @ApiModelProperty(value = "晶段类型")
    String type;
    @ApiModelProperty(value = "评级分类")
    String gradeType;
}
