package com.sw.mes.yb.mcs.dto.fillingMaterial;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/21 18:03
 */
@Data
@ApiModel(value = "mcs生产任务报工Dto")
public class McsMoWorkReportingDto {
    @ApiModelProperty(value = "任务号")
    private String orderNo;
    @ApiModelProperty(value = "任务类型")
    private Integer orderType;
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;
    @ApiModelProperty(value = "完工时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date feedingEndTime;
    @ApiModelProperty(value = "装/灌料机编号")
    private String fillingMachine;
    @ApiModelProperty(value = "完工方式0自动1手动")
    private Integer finishType;
    @ApiModelProperty(value = "报工类型 0：正常任务1：转人工任务")
    private Integer reportType;
    @ApiModelProperty(value = "拉料车架号")
    private String frockCode;
    @ApiModelProperty(value = "物料集合")
    private List<McsMaterialDto> materialList;
}
