package com.sw.mes.yb.mcs.dto.fillingMaterial.MoTrayBindingToMcs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/22 10:42
 */
@Data
@ApiModel(value = "料盒托盘绑定物料信息dto")
public class BindingCassetteToMcsDto {
    @ApiModelProperty(value = "料盒编号")
    private String cassetteCode;
    @ApiModelProperty(value = "位置序号")
    private String positionIndex;
    @ApiModelProperty(value = "料盒状态：0 空、1 满、9 异常")
    private Integer cassetteState;
    @ApiModelProperty(value = "料盒分类")
    private String cassetteType;
    @ApiModelProperty(value = "料盒用量")
    private String cassetteUse;
    @ApiModelProperty(value = "物料类型")
    private String materialType;
    @ApiModelProperty(value = "物料批次")
    private String materialBatch;
    @ApiModelProperty(value = "物料编号")
    private String materialNo;
    @ApiModelProperty(value = "物料属性")
    private MaterialPropertyDto materialProperty;
}
