package com.sw.mes.yb.mcs.dto.fillingMaterial;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/21 14:29
 */
@Data
@ApiModel(value = "推送mcs任务重量方案Dto")
public class WeightSchemeDto {

    @Column(length=19)
    @ApiModelProperty(value = "桶重量")
    private BigDecimal bucketWeight;

    @Column(length=50)
    @ApiModelProperty(value = "物料种类")
    private String materialType;

    @Column(length=50)
    @ApiModelProperty(value = "物料分类")
    private String materialClassName;

    @Column(length=19)
    @ApiModelProperty(value = "物料重量")
    private BigDecimal materialWeight;
}
