package com.sw.mes.yb.mcs.service;


import com.sw.mes.core.dto.RankResultDto;
import com.sw.mes.inspect.entity.YbInspectData;

import java.math.BigDecimal;

public interface PublishRankResultService {
    /**
     * 匹配方棒订单，并下发至mcs与wms
     *
     * @param rankResultDto 从圆棒检验数据库取值
     */
    void publishRankResult(RankResultDto rankResultDto);


    /**
     * 匹配方棒订单，并下发至mcs与wms
     *
     * @param inspectDataBase 从圆棒检验数据库取值
     * @param actualWeight 实际总重量
     * @param theoryWeight 理论总重量
     */
    void publishRankResult(YbInspectData inspectDataBase, BigDecimal actualWeight, BigDecimal theoryWeight);

}
