package com.sw.mes.yb.mcs.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.mcs.dao.SegmentBindInfoDao;
import com.sw.mes.yb.mcs.entity.SegmentBindInfo;
import com.sw.mes.yb.mcs.service.SegmentBindInfoService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @author JS111801
* @description 针对表【segment_bind_info(晶段线体绑定记录表)】的数据库操作Service实现
* @createDate 2023-09-08 09:24:16
*/
@Service
@Transactional
public class SegmentBindInfoServiceImpl extends BaseServiceImpl<SegmentBindInfo> implements SegmentBindInfoService {

    SegmentBindInfoDao dao;
    @Autowired
    public void setDao(SegmentBindInfoDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<SegmentBindInfo> findBysegmentNo(String segmentNo) {
        return dao.findBysegmentNo(segmentNo);
    }
}
