package com.sw.mes.yb.mcs.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lf
 * @description
 * @date 2024/4/26 12:00
 */
@Data
@ApiModel(value ="圆棒面斜、隐裂检测数据返回参数")
public class HiddenCrackDetectionVo {
    /**
     * 晶段编号
     */
    @ApiModelProperty(value = "晶段编号")
    private String sectionNo;

    /**
     * 晶段规格
     */
    @ApiModelProperty(value = "晶段规格")
    private String specs;

    /**
     * 晶段长度
     */
    @ApiModelProperty(value = "晶段长度")
    private BigDecimal length;
}
