package com.sw.mes.yb.pad.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Author: JS111816
 * @Description:
 * @Date: 2022/8/2
 * @Modified By:
 **/
@Data
public class DrawLineExceptionDto {
    @ApiModelProperty(name = "距头长度",required = true)
    @NotNull(message = "中间段异常距头长度不能为空")
    private BigDecimal startLen;
    @ApiModelProperty(name = "实际长度",required = true)
    @NotNull(message = "中间段异常实际长度不能为空")
    private BigDecimal len;
    @ApiModelProperty(name = "异常原因")
    @NotNull(message = "中间段异常异常原因不能为空")
    private String desc;
}
