package com.sw.mes.yb.pad.dto;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "拆清打磨Dto")
public class PadPolishAgvDto {

	@ApiModelProperty(value = "设备号(目标设备)")
	@NotBlank(message = "必须获取或填写目标设备号")
	private String equipmentCode;
	@ApiModelProperty(value = "库位编号")
	@NotBlank(message = "必须扫码后填入库位编号")
	private String storeCode;
	@ApiModelProperty(value = "操作人")
	@NotBlank(message = "必须填入当前登录人名称")
	private String userName;
	@ApiModelProperty(value = "班次")
	@NotBlank(message = "必须填入班次")
    private String classNo;
	@ApiModelProperty(value = "班组")
	@NotBlank(message = "必须填入班组")
    private String teamGroup;
//	@ApiModelProperty(value = "模块")
//	@NotBlank(message = "必须填入模块")
//    private String area;
}