package com.sw.mes.yb.pad.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "PieceDetailDto")
public class PieceDetailDto {

    private Long id;
     @ApiModelProperty(value = "样片编号" )
     String pieceNo;
     @ApiModelProperty(value = "长棒id" )
     Long crystalId;
     @ApiModelProperty(value = "晶段id(代表短棒反切的样片)" )
     Long segmentId;
     @ApiModelProperty(value = "创建人" )
     String createBy;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createDate;
     @ApiModelProperty(value = "导电型号" )
     String conductiveType;
     @ApiModelProperty(value = "料号" )
     String productCode;
     @ApiModelProperty(value = "产品等级" )
     String productGrade;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "产品类别" )
     String productType;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "长棒编号" )
     String crystalNo;
}