package com.sw.mes.yb.pad.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("方棒反切画线明细dto")
public class RecutInfoFbDetailInfo {

    @ApiModelProperty("序号")
    private Integer index;

    @ApiModelProperty("长度")
    private BigDecimal length;

    @ApiModelProperty("类型")
    private Integer type;


    @ApiModelProperty("晶段编号")
    private String segmentNo;


    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("返切原因")
    private String reason;

    @ApiModelProperty("晶段序号信息")
    SegmentIndex segmentIndex = new SegmentIndex();
}
