package com.sw.mes.yb.pad.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("画线记录明细dto")
public class SaveLineDetailDto {

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "长度")
    private BigDecimal length;

    @ApiModelProperty(value = "单晶id")
    private Integer crystalId;


    @ApiModelProperty(value = "序号  用来定义第几段单晶")
    private Integer number;
}
