package com.sw.mes.yb.pad.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.pad.entity.CheckSheet;
import com.sw.mes.yb.pad.entity.dto.CheckSheetDto;
import com.sw.mes.yb.pad.entity.dto.EapCheckSheetDto;
import org.springframework.data.jpa.domain.Specification;

import java.util.List;

public interface CheckSheetService extends BaseService<CheckSheet> {

    List<CheckSheet> findByExample(Specification<CheckSheet> specification, RequestPage page);


    Result processData(EapCheckSheetDto eapCheckSheetDto);

    CheckSheet findBySectionNo(String sn);

}
