package com.sw.mes.yb.pad.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.fls.entity.RecycledWaitRecord;
import com.sw.mes.yb.pad.dao.RecycledWaitRecordDao;
import com.sw.mes.yb.pad.service.RecycledWaitRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by author on 2023-04-26
 */
@Service
@Slf4j
public class RecycledWaitRecordServiceImpl extends BaseServiceImpl<RecycledWaitRecord> implements RecycledWaitRecordService {

    RecycledWaitRecordDao dao;

    @Autowired
    public void setDao(RecycledWaitRecordDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }


    @Override
    public List<RecycledWaitRecord> getListByStatusAndMaterialType(Integer status, String type) {
        return dao.getListByStatusAndMaterialType(status, type);
    }

    @Override
    public void update(RecycledWaitRecord recycledWaitRecord) {

    }
}