package com.sw.mes.yb.pc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "载具配置关联Dto")
public class CarrierConfigDto {

    private Integer id;
     @ApiModelProperty(value = "载具编号 " )
     String carrierNo;
     @ApiModelProperty(value = "状态 0 未使用 1 使用中" )
     Integer status;
     @ApiModelProperty(value = "载具类型 1 卡板箱 2 纸箱 3 花篮" )
     Integer type;
     @ApiModelProperty(value = "载具皮重" )
     BigDecimal weight;
     @ApiModelProperty(value = "载具规格" )
     String spec;
     @ApiModelProperty(value = "创建人" )
     String createUser;
     @ApiModelProperty(value = "创建时间" )
     Date createTime;
     @ApiModelProperty(value = "更新人" )
     String updateUser;
     @ApiModelProperty(value = "更新时间" )
     Date updateTime;
     @ApiModelProperty(value = "第一备用字段" )
     String remarkFirst;
     @ApiModelProperty(value = "第二备用字段" )
     String remarkSecond;
     @ApiModelProperty(value = "是否删除 0否,1是" )
     Boolean isDeleted;
}