package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "fbjoinDto")
public class FbjoinDto {

    private Integer id;
     @ApiModelProperty(value = "方棒编号" )
     String sectionNoFb;
     @ApiModelProperty(value = "拼棒组号" )
     String sectionNoGroup;
     @ApiModelProperty(value = "方棒产品等级" )
     String productLevelFb;
     @ApiModelProperty(value = "拼数" )
     Integer joinCount;
     @ApiModelProperty(value = "拼棒总理论重量" )
     BigDecimal theoryWeight;
     @ApiModelProperty(value = "拼棒总长度" )
     BigDecimal totalLength;
     @ApiModelProperty(value = "单根单晶拼接长度 ,隔开" )
     String lengthGroup;
     @ApiModelProperty(value = "绑定人" )
     String bindUser;
     @ApiModelProperty(value = "绑定时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date bindTime;
     @ApiModelProperty(value = "解绑人" )
     String unbindUser;
     @ApiModelProperty(value = "解绑时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date unbindTime;
     @ApiModelProperty(value = "状态 0未解绑 1已解绑" )
     Integer status;
}
