package com.sw.mes.yb.production.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.production.entity.ProductionWsmReserve;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProductionWsmReserveDao extends BaseDao<ProductionWsmReserve, Long>{


    @Query(value = "SELECT crystal_no  as crystalNo ,spec , ware_house_length AS length FROM `production_wsm_reserve` WHERE is_re_cut = 0 and crysta_type = 0 and stay_time = ?1",nativeQuery = true)
    List<Map<String,Object>> findDirectionalListByTime(String time);



}
