package com.sw.mes.yb.production.dto.AgainTaskPrepare;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "预装料灌料明细表Dto")
public class InputTaskDatailPrepareDto {

    private Long id;
     @ApiModelProperty(value = "预装料任务id" )
     Long productionAgainTaskPrepareId;
     @ApiModelProperty(value = "桶号" )
     String bucketNo;
     @ApiModelProperty(value = "供应商" )
     String supplierName;
     @ApiModelProperty(value = "物料类型名称" )
     String materialTypeName;
     @ApiModelProperty(value = "库位名" )
     String storeLocationName;
     @ApiModelProperty(value = "库位ID" )
     Integer storeLocationId;
     @ApiModelProperty(value = "物料条码" )
     String materialCode;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "批次号" )
     String batchNo;
     @ApiModelProperty(value = "唯一码" )
     String uniqueCode;
     @ApiModelProperty(value = "重量 " )
     BigDecimal weight;
     @ApiModelProperty(value = "厂牌 " )
     String factoryBrand;
     @ApiModelProperty(value = "单位" )
     String unit;
}