package com.sw.mes.yb.production.dto.BlastFurnaceDetail;

import java.util.ArrayList;
import java.util.List;

import javax.validation.constraints.NotNull;

import com.sw.mes.yb.production.dto.LoadingTask.LoadingTaskDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 添加配料详情Dto
 * @author arthu
 *
 */
@Data
public class BlastFurnaceAddDto {
	
	@ApiModelProperty(value = "装料记录id(production_blast_furnace_burden.id)", required = true)
	@NotNull(message = "任务记录信息(原样)")
	private LoadingTaskDto loadingTaskDto;

	@ApiModelProperty(value = "载具编号")
	private String vehicleCode;
	
	@ApiModelProperty(value = "配料详情")
	List<BlastFurnaceDetailDto> blastFurnaceDetailDtos = new ArrayList<BlastFurnaceDetailDto>();
}
