package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 载具箱信息
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Data
@ApiModel(value = "BoxNoDto对象", description = "载具箱信息")
public class BoxNoDto implements Serializable {


    @ApiModelProperty("箱号")
    private String boxNo;


    @ApiModelProperty("载具皮重")
    private String weight;

    @ApiModelProperty("载具类型")
    private String typeName;


}
