package com.sw.mes.yb.production.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: xushu
 * @Date: 2022/11/27/10:28
 * @Description:
 */
@ApiModel
@Data
@NumberHandler
public class DocketPrintCleanFxToBoxDto {
    @ApiModelProperty(value = "打印模板对应打印模板的documentMould")
    String printModel;
    @ApiModelProperty(value = "打印类型:对应打印模板的documentName")
    String printType;
    @ApiModelProperty(value = "打印份数")
    Integer printNum;
    /**
     * pda: true
     * pc : false
     *
     */
    @ApiModelProperty(value = "是否预览")
    Boolean isPreview;
    @ApiModelProperty(value = "分选成箱信息")
    FxToBoxInfoDto dto;

}
