package com.sw.mes.yb.production.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
@NumberHandler
public class DocketSeedCodePrintDto {
    @ApiModelProperty(value = "打印模板对应打印模板的documentMould")
    String printModel;
    @ApiModelProperty(value = "打印类型:对应打印模板的documentName")
    String printType;
    @ApiModelProperty(value = "打印份数")
    Integer printNum;
    @ApiModelProperty(value = "是否预览")
    Boolean isPreview;
    @ApiModelProperty(value = "籽晶编码")
    String seedCode;
}
