package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "productionResistivityDto")
public class LoadingFinishedDto{

    private Long id;
    @ApiModelProperty(value = "炉台号")
    String deviceNo;
    @ApiModelProperty(value = "任务编号")
    String taskCode;
    @ApiModelProperty(value = "合金供料机号")
    String feedDevNo;
    @ApiModelProperty(value = "瓶盖二维码")
    String bottleCapCode;
    @ApiModelProperty(value = "合金重量")
    String alloyWeight;
    @ApiModelProperty(value = "合金类型")
    String alloyType;
}
