package com.sw.mes.yb.production.dto.LoadingTask;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lf
 * @description
 * @date 2024/2/23 14:41
 */
@Data
@ApiModel(value = "投料信息Dto")
public class FeedingInformationDto {
    /**
     * 桶数
     */
    @ApiModelProperty("桶数")
    private Integer barrelCount;
    /**
     * 桶编号
     */
    @ApiModelProperty("桶编号")
    private String barrelNumber;
    /**
     * 物料编码
     */
    @ApiModelProperty("物料编码")
    private String materialCode;
    /**
     * 物料名称
     */
    @ApiModelProperty("物料名称")
    private String materialName;
    /**
     * 供应商
     */
    @ApiModelProperty("供应商")
    private String supplier;
    /**
     * 批次号
     */
    @ApiModelProperty("批次号")
    private String batchNumber;
    /**
     * 重量
     */
    @ApiModelProperty("重量")
    private BigDecimal weight;
    /**
     * 总重量
     */
    @ApiModelProperty("总重量")
    private BigDecimal totalWeight;
}
