package com.sw.mes.yb.production.dto;

import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "productionResistivityDto")
public class MeasuringTheAlloyDto implements Serializable {

    @ApiModelProperty(value = "炉次号")
    String heats;
    @ApiModelProperty(value = "月份")
    String Month;
    @ApiModelProperty(value = "掺杂剂")
    String rawMaterial;
    @ApiModelProperty(value = "拉制规格")
    String spec;
    @ApiModelProperty(value = "热场")
    String ThermalFieldType;
    @ApiModelProperty(value = "炉型")
    String furnaceType;
    @ApiModelProperty(value = "满埚料重量")
    String maxWeight;
    @ApiModelProperty(value = "复投次数")
    String recastNum;
    @ApiModelProperty(value = "剩料量")
    String remaining;
    @ApiModelProperty(value = "补掺镓量")
    String galliumAddition;
    @ApiModelProperty(value = "目标电阻率")
    String targetResistivity;
    @ApiModelProperty(value = "小头电阻率")
    String lastTargetResistivity;
    @ApiModelProperty(value = "详细料量")
    String material;
}
