package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "圆棒生产配料重量方案详情Dto")
public class ProductionCircleDosingListDto {

     private Long id;
     @ApiModelProperty(value = "产品料号" )
     String productName;
     @ApiModelProperty(value = "产品等级" )
     String productGrade;
     @ApiModelProperty(value = "类型  " )
     String productType;
     @ApiModelProperty(value = "掺杂剂" )
     String mingleName;
     @ApiModelProperty(value = "导电型号" )
     String electricConduction;
     @ApiModelProperty(value = "规格" )
     String specification;
     @ApiModelProperty(value = "配方名称" )
     String recipeName;
     @ApiModelProperty(value = "配方版本" )
     Integer recipeVersion;
     @ApiModelProperty(value = "配方版本" )
     Long recipeId;
     @ApiModelProperty(value = "配方版本" )
     Long weightId;
     @ApiModelProperty(value = "重量方案名称" )
     String weightName;
     @ApiModelProperty(value = "重量方案版本" )
     Integer weightVersion;
     @ApiModelProperty(value = "拉制方式(字典获取)" )
     String makeType;
     @ApiModelProperty(value = "晶向类型" )
     String directionType;
     @ApiModelProperty(value = "厂牌(坩埚属性)" )
     String suppliesBrand;
     @ApiModelProperty(value = "工艺(坩埚属性)" )
     String suppliesCraft;
     @ApiModelProperty(value = "用户id" )
     Integer userId;
     @ApiModelProperty(value = "用户名称" )
     String userName;
     @ApiModelProperty(value = "状态(1：生效，2失效)" )
     Integer status;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
}