package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒生产配料列表Dto")
public class ProductionCircleMaterielDto {

    private Integer id;
     @ApiModelProperty(value = "额定投料量" , required = true)
     Integer ratedFeedQuantity;
     @ApiModelProperty(value = "初始投料量" , required = true)
     Integer initialQuantity;
     @ApiModelProperty(value = "初始复投单桶量" , required = true)
     Integer initialRepetitionQuantity;
     @ApiModelProperty(value = "取段复投单通量" , required = true)
     Integer fetchRepetitionQuantity;
     @ApiModelProperty(value = "用户id" )
     Long createId;
     @ApiModelProperty(value = "用户名称" )
     String userName;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createDate;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateDate;
}