package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

@Data
@ApiModel(value = "圆棒生产配料列表详情Dto")
public class ProductionCircleRecipeDetailDto {

    private Integer id;
     @ApiModelProperty(value = "配方名称" )
     String recipeName;
     @ApiModelProperty(value = "配方编码" )
     String recipeCode;
     @ApiModelProperty(value = "版本号" )
     Integer version;
     @ApiModelProperty(value = "配方用途" )
     String recipePurpose;
     @ApiModelProperty(value = "配方类似标识" )
     String recipeLike;
     @ApiModelProperty(value = "配方类型" )
     String recipeKind;
     @ApiModelProperty(value = "物料类型名称" )
     String suppliesName;
     @ApiModelProperty(value = "物料类型编码" )
     String suppliesCode;
     @ApiModelProperty(value = "尺寸(坩埚属性)" )
     String suppliesSize;
     @ApiModelProperty(value = "高度(坩埚属性)" )
     String suppliesHeight;
     @ApiModelProperty(value = "厂牌(坩埚属性)" )
     String suppliesBrand;
     @ApiModelProperty(value = "工艺(坩埚属性))" )
     String suppliesCraft;
     @ApiModelProperty(value = "掺杂剂" )
     String suppliesDopant;
     @ApiModelProperty(value = "电阻率最大值" )
     String suppliesResistanceMax;
     @ApiModelProperty(value = "电阻率最小值" )
     String suppliesResistanceMin;
     @ApiModelProperty(value = "粒径最小值" )
     String suppliesGrainMin;
     @ApiModelProperty(value = "粒径最大值" )
     String suppliesGrainMax;
     @ApiModelProperty(value = "物料类型" )
     String suppliesType;
     @ApiModelProperty(value = "物料id(父id)" )
     Long recipeId;
     @ApiModelProperty(value = "重量" )
     Integer weight;
     @ApiModelProperty(value = "优先级" )
     Integer priority;
     @ApiModelProperty(value = "重量配比（百分比）" )
     Integer weightRatio;

}