package com.sw.mes.yb.production.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "桶重量分配方案操作记录Dto")
public class WeightInputDetailDto {

    private Long id;
     @ApiModelProperty(value = "复投总重量" )
     BigDecimal againWeigth;
     @ApiModelProperty(value = "剩余重量" )
     BigDecimal surplusWeigth;
     @ApiModelProperty(value = "总装埚料" )
     BigDecimal totalUseWeigth;
     @ApiModelProperty(value = "操作人" )
     String userName;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "班组" )
     String teamGroup;
     @ApiModelProperty(value = "所属系列" )
     String series;
     @ApiModelProperty(value = "所属模块" )
     String area;
     @ApiModelProperty(value = "拆解方案(JSON)" )
     String remark;
     @ApiModelProperty(value = "复投任务ID(AgainTask.id)" , required = true)
     Long taskId;
}