package com.sw.mes.yb.production.service;

import java.util.List;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.ProcessPath;
import org.springframework.data.domain.Sort;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProcessPathService extends BaseService<ProcessPath> {

	List<ProcessPath> findByEquipmentCodeAndLotNoAndStepNameIn(String equipmentCode, String lotNo,List<String> steNames);

	List<ProcessPath> findData(String equipmentCode, String lotNo,String stepName, String startTime, String endTime, Sort sort);

	ProcessPath findTopByEquipmentCodeOrderByIdDesc(String equipmentCode);
}
