package com.sw.mes.yb.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.production.dao.InputFurnaceDetailDao;
import com.sw.mes.yb.production.dao.ProductionResistivityDao;
import com.sw.mes.yb.production.entity.InputFurnaceDetail;
import com.sw.mes.yb.production.entity.ProductionResistivity;
import com.sw.mes.yb.production.service.InputFurnaceDetailService;
import com.sw.mes.yb.production.service.ProductionResistivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ProductionResisitivityServiceImpl extends BaseServiceImpl<ProductionResistivity> implements ProductionResistivityService {
    ProductionResistivityDao dao;
	@Autowired
    public void setDao(ProductionResistivityDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }
	@Override
	public List<ProductionResistivity> findByEquipmentCode(String equipmentCode) {
		return dao.findByEquipmentCode(equipmentCode);
	}
	@Override
	public List<ProductionResistivity> findByEquipmentCodeAndAgainNum(String equipmentCode, String againNum) {
		return dao.findByEquipmentCodeAndAgainNum(equipmentCode, againNum);
	}

}
