package com.sw.mes.yb.report.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "ShoulderSeedingRateDto")
public class ShoulderSeedingRateDto {

    private Long id;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "炉台号" )
     String deviceNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "引晶成活率" )
     BigDecimal seedingRate;
     @ApiModelProperty(value = "剩余重量" )
     Double residueWeight;
     @ApiModelProperty(value = "引晶长度" )
     BigDecimal seedingLength;
     @ApiModelProperty(value = "引晶时长" )
     BigDecimal seedingTime;
     @ApiModelProperty(value = "进入引晶" )
     Integer intoSeeding;
     @ApiModelProperty(value = "是否引断" )
     Integer breakTake;
     @ApiModelProperty(value = "进入引晶时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date infoSeedingTime;
     @ApiModelProperty(value = "进入放肩时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date infoShoulderingTime;
     @ApiModelProperty(value = "模块" )
     String area;
     @ApiModelProperty(value = "记录创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "引晶功率" )
     BigDecimal crystalPower;
     @ApiModelProperty(value = "车间" )
     String workshop;
     @ApiModelProperty(value = "片区" )
     String district;
}