/*
 Navicat Premium Data Transfer

 Source Server         : 思维晶科本地数据库
 Source Server Type    : MySQL
 Source Server Version : 50728
 Source Host           : 10.60.120.51:3306
 Source Schema         : jinko_mes

 Target Server Type    : MySQL
 Target Server Version : 50728
 File Encoding         : 65001

 Date: 17/01/2024 10:10:43
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for seed_self_inspection
-- ----------------------------
DROP TABLE IF EXISTS `seed_self_inspection`;
CREATE TABLE `seed_self_inspection`  (
  `id` int(30) NOT NULL AUTO_INCREMENT,
  `seed_code` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '籽晶编码',
  `plan_code` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '计划单号',
  `seed_batch_no` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '籽晶批次号',
  `batch_no` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '批次号',
  `taper` double NULL DEFAULT NULL COMMENT '锥度',
  `total_length` double NULL DEFAULT NULL COMMENT '总长度',
  `the_weight` double NULL DEFAULT NULL COMMENT '理论重量',
  `total_big_length` double NULL DEFAULT NULL COMMENT '总长度大头长度',
  `small_length` double NULL DEFAULT NULL COMMENT '小头长度',
  `small_average_diameter` double NULL DEFAULT NULL COMMENT '小头平均直径',
  `big_average_diameter` double NULL DEFAULT NULL COMMENT '大头平均直径',
  `small_diameter_min` double NULL DEFAULT NULL COMMENT '小头直径最小值',
  `small_diameter_max` double NULL DEFAULT NULL COMMENT '小头直径最大值',
  `big_diameter_max` double NULL DEFAULT NULL COMMENT '大头直径最大值',
  `big_diameter_min` double NULL DEFAULT NULL COMMENT '大头直径最小值',
  `coaxiality` double NULL DEFAULT NULL COMMENT '同轴度',
  `subfissure` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '隐裂',
  `is_qualified` tinyint(1) NULL DEFAULT NULL COMMENT '是否合格',
  `create_by` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `material_id` int(11) NULL DEFAULT NULL COMMENT '物料id',
  `material_code` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料编码',
  `material_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料名称',
  `material_type` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料类型',
  `material_model` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料型号',
  `spec` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `seedCode`(`seed_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '籽晶自检信息表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
