package com.sw.mes.yb.turnstore.dao;

import java.util.Date;
import java.util.List;

import org.springframework.data.jpa.repository.Query;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.turnstore.entity.WarehousingStatisticsYb;

public interface WarehousingStatisticsYbDao extends BaseDao<WarehousingStatisticsYb, Integer> {

	@Query(value = "select * from warehousing_statistics_info_yb  where confirm_time >= ?1 and confirm_time < ?2 ", nativeQuery = true)
	public List<WarehousingStatisticsYb> findByConfirmTime(Date startTime, Date endTime);
}
