package com.sw.mes.yb.turnstore.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.turnstore.dao.WarehousingStatisticsYbDao;
import com.sw.mes.yb.turnstore.entity.WarehousingStatisticsYb;
import com.sw.mes.yb.turnstore.service.WarehousingStatisticsYbService;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class WarehousingStatisticsYbServiceImpl  extends BaseServiceImpl<WarehousingStatisticsYb> implements WarehousingStatisticsYbService {
    WarehousingStatisticsYbDao warehousingStatisticsYbDao;

    @Autowired
    public void setDao(WarehousingStatisticsYbDao dao) {
        super.setBaseDao(dao);
        this.warehousingStatisticsYbDao = dao;
    }

	@Override
	public List<WarehousingStatisticsYb> findByConfirmTime(Date startTime, Date endTime) {
		return warehousingStatisticsYbDao.findByConfirmTime(startTime, endTime);
	}
}
