package com.sw.mes.yb.wms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @zhaoyayun
 * @20230915
 * @v1.0.0
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "库存反馈 Dto" , description = "")
public class ToMesInventoryFeedback {

    /**
     * 动作说明 1-虚拟入库 2-实际入库 3-虚拟出库 4-实际出库
     */
    @ApiModelProperty(value = "动作说明 1-虚拟入库 2-实际入库 3-虚拟出库 4-实际出库")
    String moveFlag;

    /**
     * 出库原因 出库时需要给出出库原因
     */
    @ApiModelProperty(value = "出库原因 出库时需要给出出库原因")
    String reason;

    /**
     * 圆棒SN
     */
    @ApiModelProperty(value = "圆棒SN")
    String roundSn;

    /**
     * 圆棒立库编码
     */
    @ApiModelProperty(value = "圆棒立库编码")
    String stockCode;



}
