package com.sw.mes.yb.wms.utils;

import lombok.Data;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-12 15:13
 */
@Data
public class RequestWmsDto<T> {

   private String serviceUrl;

   private T data;

   /**
    * 2:用的MCS中WMS中的URL地址
    */
   private Integer urlTag;

    public RequestWmsDto(String serviceUrl, T data){
        this.serviceUrl=serviceUrl;
        this.data=data;
    }

    public RequestWmsDto(String serviceUrl, T data, Integer urlTag) {
        this.serviceUrl = serviceUrl;
        this.data = data;
        this.urlTag = urlTag;
    }
}