package com.sw.mes.mapper;

import com.sw.mes.domain.ProductionExceptionLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
* @author JS111816
* @description 针对表【production_exception_log(检验报警信息)】的数据库操作Mapper
* @createDate 2022-06-14 16:56:23
* @Entity com.sw.mes.domain.ProductionExceptionLog
*/
public interface ProductionExceptionLogMapper extends BaseMapper<ProductionExceptionLog> {

    void statistics(Date date);

    int countAllByTypeAndStatus(@Param("type") Integer type, @Param("status") boolean status);
}




