package com.sw.mes.store.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.store.entity.WarehouseOutputRecordBillDetail;
import com.sw.mes.store.mapper.WarehouseOutputRecordBillDetailMapper;
import com.sw.mes.store.service.WarehouseOutputRecordBillDetailService;

import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class WarehouseOutputRecordBillDetailServiceImpl extends ServiceImpl<WarehouseOutputRecordBillDetailMapper, WarehouseOutputRecordBillDetail> implements WarehouseOutputRecordBillDetailService {

    @Autowired
    private WarehouseOutputRecordBillDetailMapper warehouseOutputRecordBillDetailMapper;

    @Override
    public List<WarehouseOutputRecordBillDetail> findWarehouseOutputRecordBillDetailByMaterialCode(String materialCode) {
        return warehouseOutputRecordBillDetailMapper.findWarehouseOutputRecordBillDetailByMaterialCode(materialCode);
    }

    @Override
    public WarehouseOutputRecordBillDetail getOutputBillByMaterialCode(String materialCode) {
        return warehouseOutputRecordBillDetailMapper.getOutputBillByMaterialCode(materialCode);
    }

    @Override
    public WarehouseOutputRecordBillDetail getOutputBillByUniqueCode(String uniqueCode) {
        return warehouseOutputRecordBillDetailMapper.getOutputBillByUniqueCode(uniqueCode);
    }
}